diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 1359d1d..3fac72d 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -36,11 +36,16 @@ BOOKS=${PDF}/bookvol0.pdf    ${PDF}/bookvol1.pdf    ${PDF}/bookvol2.pdf \
       ${PDF}/bookvol10.3.pdf ${PDF}/bookvol10.4.pdf ${PDF}/bookvol10.5.pdf \
       ${PDF}/bookvol11.pdf   ${PDF}/bookvol12.pdf   ${PDF}/bookvolbib.pdf
 
-all: ${PDF}/axiom.sty ${BOOKS} ${PDF}/toc.pdf 
+all: announce ${PDF}/axiom.sty ${BOOKS} ${PDF}/toc.pdf 
 	@(cd ${PDF} ; ${RM} *.out *.toc )
 
+announce:
+	@ echo ==================================
+	@ echo books BUILDING PDF FILES
+	@ echo ==================================
+
 ${PDF}/%.pdf: ${IN}/%.pamphlet 
-	@echo making ${PDF}/$*.pdf from ${IN}/$*.pamphlet
+	@echo b1 making ${PDF}/$*.pdf from ${IN}/$*.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/$*.pamphlet ${PDF} ; \
 	  cp ${IN}/bookheader.tex ${PDF} ; \
@@ -48,7 +53,7 @@ ${PDF}/%.pdf: ${IN}/%.pamphlet
 	  if [ -z "${NOISE}" ] ; then \
 	    ${RM} $*.toc ; \
 	    ${LATEX} $*.pamphlet ; \
-	    ${MAKEINDEX} $*.idx >/dev/null ; \
+	    ${MAKEINDEX} $*.idx  1>/dev/null 2>/dev/null ; \
 	    ${LATEX} $*.pamphlet >/dev/null ; \
 	    ${DVIPDFM} $*.dvi 2>/dev/null ; \
 	    ${RM} $*.aux $*.dvi $*.log $*.ps $*.idx $*.tex $*.pamphlet ; \
@@ -57,8 +62,7 @@ ${PDF}/%.pdf: ${IN}/%.pamphlet
 	  else \
 	    ${RM} $*.toc ; \
 	    ${LATEX} $*.pamphlet >${TMP}/trace ; \
-	    echo ...first latex complete ; \
-	    ${MAKEINDEX} $*.idx >${TMP}/trace ; \
+	    ${MAKEINDEX} $*.idx  1>/dev/null 2>/dev/null ; \
 	    ${LATEX} $*.pamphlet >${TMP}/trace ; \
 	    ${DVIPDFM} $*.dvi 2>${TMP}/trace ; \
 	    ${RM} $*.aux $*.dvi $*.log $*.ps $*.idx $*.tex $*.pamphlet ; \
@@ -99,7 +103,7 @@ The sed patterns to match and remove them (in order) are:
 @
 <<*>>=
 ${PDF}/toc.pdf: ${BOOKS}
-	@echo 13 making ${PDF}/toc.pdf
+	@echo b3 making ${PDF}/toc.pdf
 	@(cd ${PDF} ; \
 	echo "\\documentclass{book}" >toc.tex ; \
 	echo "\\setlength{\\textwidth}{400pt}" >>toc.tex ; \
@@ -230,7 +234,7 @@ ${PDF}/toc.pdf: ${BOOKS}
 	fi )
 
 ${PDF}/axiom.sty: ${SRC}/doc/axiom.sty.pamphlet
-	@echo 14 making ${PDF}/axiom.sty from ${SRC}/scripts/tex/axiom.sty
+	@echo b4 making ${PDF}/axiom.sty from ${SRC}/scripts/tex/axiom.sty
 	@${TANGLE} -Raxiom.sty ${SRC}/doc/axiom.sty.pamphlet >${PDF}/axiom.sty
 
 @
diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index 42e1ba7..b1166f2 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -21249,43 +21249,47 @@ dirs:
 ${OUTLIB}/viewman: ${BOOK}
 	@ echo 2 making ${OUTLIB}/viewman from ${BOOK}
 	@( cd ${WORK} ; \
-	 echo '(tangle "${BOOK}" "viewman" "viewman.c")' | ${LISP} ; \
+	 echo '(tangle "${BOOK}" "viewman" "viewman.c")' \
+           | ${LISP} 1>/dev/null 2>/dev/null ; \
 	   ${CC} ${CFLAGS} -c viewman.c ; \
 	   ${CC} ${VLIBS} viewman.o -o ${OUTLIB}/viewman ${LDFLAGS} )
 
 ${OUTLIB}/view2d: ${BOOK}
 	@ echo 3 making ${OUTLIB}/view2d from ${BOOK}
 	@( cd ${WORK} ; \
-	 echo '(tangle "${BOOK}" "view2d" "view2d.c")' | ${LISP} ; \
+	 echo '(tangle "${BOOK}" "view2d" "view2d.c")' \
+           | ${LISP} 1>/dev/null 2>/dev/null ; \
 	   ${CC} ${CFLAGS} -c view2d.c ; \
 	   ${CC} ${LIBS} view2d.o -o ${OUTLIB}/view2d ${LDFLAGS} )
 
 ${OUTLIB}/view3d: ${BOOK}
 	@ echo 4 making ${OUTLIB}/view3d from ${BOOK}
 	@( cd ${WORK} ; \
-	 echo '(tangle "${BOOK}" "view3d" "view3d.c")' | ${LISP} ; \
+	  echo '(tangle "${BOOK}" "view3d" "view3d.c")' \
+           | ${LISP} 1>/dev/null 2>/dev/null ; \
 	   ${CC} ${CFLAGS} -c view3d.c ; \
 	   ${CC} ${LIBS} view3d.o -o ${OUTLIB}/view3d ${LDFLAGS} )
 
 ${OUTBIN}/viewalone: ${BOOK}
 	@ echo 5 making ${OUTBIN}/viewalone from ${BOOK}
 	@( cd ${WORK} ; \
-	 echo '(tangle "${BOOK}" "viewalone" "viewalone.c")' \
-               | ${LISP} ; \
+	  echo '(tangle "${BOOK}" "viewalone" "viewalone.c")' \
+               | ${LISP} 1>/dev/null 2>/dev/null ; \
 	   ${CC} ${CFLAGS} -c viewalone.c ; \
 	   ${CC} ${VLIBS} viewalone.o -o ${OUTBIN}/viewalone ${LDFLAGS} )
 
 ${TESTFILE}/data: ${BOOK}
 	@ echo 6 making ${TESTFILE} from ${BOOK}
 	@ (cd ${TESTFILE} ; \
-	 echo '(tangle "${BOOK}" "parabola.view/data" "data")' \
-               | ${LISP} ; \
-	 echo '(tangle "${BOOK}" "parabola.view/graph0" "graph0")' \
-               | ${LISP} )
+	  echo '(tangle "${BOOK}" "parabola.view/data" "data")' \
+               | ${LISP} 1>/dev/null 2>/dev/null ; \
+	  echo '(tangle "${BOOK}" "parabola.view/graph0" "graph0")' \
+               | ${LISP} 1>/dev/null 2>/dev/null)
 
 ${PS}/%.ps: ${BOOK} 
 	@ echo 7 ${PS}/$*.ps from ${BOOK} 
-	 echo '(tangle "${BOOK}" "psfiles/$*" "${PS}/$*.ps")' | ${LISP}
+	@ echo '(tangle "${BOOK}" "psfiles/$*" "${PS}/$*.ps")' \
+               | ${LISP} 1>/dev/null 2>/dev/null
 
 \end{chunk}
 \begin{thebibliography}{99}
diff --git a/books/tangle.lisp b/books/tangle.lisp
index a865849..965a7c5 100644
--- a/books/tangle.lisp
+++ b/books/tangle.lisp
@@ -163,7 +163,8 @@
   (if (and file (stringp file))
    (with-open-file (out file :direction :output)
      (gcl-expand topchunk noweb? out))
-   (gcl-expand topchunk noweb? t))))
+   (gcl-expand topchunk noweb? t)))
+  (values))
 
 
 
@@ -447,7 +448,8 @@
   (allchunks PAT (concatenate 'string BOOKS "/bookvol10.3.pamphlet") HELP nil)
   (allchunks PAT (concatenate 'string BOOKS "/bookvol10.4.pamphlet") HELP nil)
   (allchunks PAT
-   (concatenate 'string BOOKS "/bookvol10.5.pamphlet") HELP nil)))
+   (concatenate 'string BOOKS "/bookvol10.5.pamphlet") HELP nil)
+  (values)))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;; 13 makeInputFiles
@@ -473,7 +475,8 @@
   (allchunks PAT (concatenate 'string BOOKS "/bookvol10.3.pamphlet") INPUT nil)
   (allchunks PAT (concatenate 'string BOOKS "/bookvol10.4.pamphlet") INPUT nil)
   (allchunks PAT
-   (concatenate 'string BOOKS "/bookvol10.5.pamphlet") INPUT nil)))
+   (concatenate 'string BOOKS "/bookvol10.5.pamphlet") INPUT nil)
+  (values)))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;; 14 makeXHTMLFiles
@@ -495,7 +498,8 @@
  (let ((MNT (si::getenv "MNT")) (BOOKS (si::getenv "BOOKS")) INPUT PAT)
   (setq INPUT (concatenate 'string MNT "/doc"))
   (setq PAT ".xhtml")
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol11.pamphlet") INPUT nil)))
+  (allchunks PAT (concatenate 'string BOOKS "/bookvol11.pamphlet") INPUT nil)
+ (values)))
 
 
 
diff --git a/changelog b/changelog
index 069e917..f555171 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,20 @@
+20130625 tpd src/axiom-website/patches.html 20130625.01.tpd.patch
+20130625 tpd src/sman/Makefile cleanup
+20130625 tpd src/share/Makefile cleanup
+20130625 tpd src/scripts/Makefile cleanup
+20130625 tpd src/lib/Makefile cleanup
+20130625 tpd src/interp/br-con.lisp cleanup
+20130625 tpd src/interp/Makefile cleanup
+20130625 tpd src/input/Makefile cleanup
+20130625 tpd src/etc/Makefile cleanup
+20130625 tpd src/doc/Makefile cleanup
+20130625 tpd src/clef/Makefile cleanup
+20130625 tpd src/booklets/Makefile cleanup
+20130625 tpd src/algebra/Makefile cleanup
+20130625 tpd books/tangle.lisp cleanup
+20130625 tpd books/bookvol8 cleanup
+20130625 tpd books/bookvol5 cleanup
+20130625 tpd books/Makefile cleanup
 20130623 tpd src/axiom-website/patches.html 20130623.01.tpd.patch
 20130623 tpd src/interp/br-con.lisp move code to bookvol5
 20130623 tpd books/bookvol5 move code from br-con.lisp
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 4ec44db..2e12f8f 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17160,8 +17160,8 @@ at once.
 CLIQUE1FILES = ${OUT}/MYUP.o  ${OUT}/MYEXPR.o
 
 ${MID}/clique1.spad: ${CLIQUE1FILES}
-	@echo cl1 making ${OUT}/MYUP.o from ${MID}/clique1.spad
-	@echo cl1 making ${OUT}/MYEXPR.o from ${MID}/clique1.spad
+	@echo sa01 making ${OUT}/MYUP.o from ${MID}/clique1.spad
+	@echo sa02 making ${OUT}/MYEXPR.o from ${MID}/clique1.spad
 	@ (cd ${MID} ; \
 	   cat ${IN}/MYUP.spad >clique1.spad ; \
 	   cat ${IN}/MYEXPR.spad >>clique1.spad ; \
@@ -17185,8 +17185,8 @@ CLIQUE2DEPS  = BLMETCT GPAFF PFORP PACOFF PROJPLPS PLACESPS NSDPS LOCPOWC \
                PRSPCAT UTSZ PACFFC PACPERC PROJPL PLACES INFCLSPT PROJPL ICP
 
 ${MID}/clique2.spad: ${CLIQUE2FILES}
-	@echo cl1 making ${OUT}/PAFF.o from ${MID}/clique2.spad
-	@echo cl1 making ${OUT}/PAFFFF.o from ${MID}/clique2.spad
+	@echo sa03 making ${OUT}/PAFF.o from ${MID}/clique2.spad
+	@echo sa04 making ${OUT}/PAFFFF.o from ${MID}/clique2.spad
 	@ (cd ${MID} ; \
 	   cat ${IN}/PAFF.spad >clique2.spad ; \
 	   cat ${IN}/PAFFFF.spad >>clique2.spad ; \
@@ -17206,7 +17206,7 @@ ${MID}/clique2.spad: ${CLIQUE2FILES}
 EXPRDEPS  = LF
 
 ${MID}/EXPR.nrlib/code.o: ${MID}/EXPR.spad
-	@echo 1 newcode EXPR.o depends on LF.o
+	@echo sa05 newcode EXPR.o depends on LF.o
 	@ ( cd ${MID} ; \
             echo -e ")lib ${EXPRDEPS} \n )co EXPR.spad" | ${INTERPSYS} )
 	@ cp ${MID}/EXPR.nrlib/code.o ${OUT}/EXPR.o
@@ -17416,7 +17416,7 @@ deriving the dependencies by scanning the ``Loading ...'' messages.
 <<genericDotOfiles>>=
 
 ${OUT}/%.o: ${MID}/%.nrlib/code.o
-	@ echo copying $*.nrlib to $*.o
+	@ echo sa06 copying $*.nrlib to $*.o
 	@ cp ${MID}/$*.nrlib/code.o ${OUT}/$*.o
 
 @ 
@@ -17424,24 +17424,26 @@ ${OUT}/%.o: ${MID}/%.nrlib/code.o
 
 .PRECIOUS: ${MID}/%.nrlib/code.o
 ${MID}/%.nrlib/code.o: ${MID}/%.spad
-	@ echo compiling $*.spad to $*.nrlib
+	@ echo sa07 compiling $*.spad to $*.nrlib
 	@ (cd ${MID} ; \
 	   if [ -z "${NOISE}" ] ; then \
 	    echo ")co $*.spad" | ${INTERPSYS}  ; \
            else \
-	     echo ")co $*.spad" | ${INTERPSYS} >${TMP}/trace ; \
+	     echo ")co $*.spad" | ${INTERPSYS}  1>/dev/null 2>/dev/null ; \
 	   fi )
 
 @
 <<genericBOOTSTRAPfiles>>=
 
 ${MID}/%.o: ${MID}/%.lsp
-	@ echo compiling $*.lsp to $*.o
+	@ echo sa08 compiling $*.lsp to $*.o
 	@ (cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn (in-package (quote boot)) (compile-file "$*.lsp" :output-file "$*.o"))' | ${DEPSYS} ; \
+	   echo '(progn (in-package (quote boot)) (compile-file "$*.lsp" :output-file "$*.o"))'\
+            | ${DEPSYS} ; \
 	  else \
-	   echo '(progn (in-package (quote boot)) (compile-file "$*.lsp" :output-file "$*.o"))' | ${DEPSYS} >${TMP}/trace ; \
+	   echo '(progn (in-package (quote boot)) (compile-file "$*.lsp" :output-file "$*.o"))'\
+           | ${DEPSYS} 1>/dev/null 2>/dev/null ; \
 	  fi )
 	@ cp ${MID}/$*.o ${OUT}/$*.o
 
@@ -17449,7 +17451,7 @@ ${MID}/%.o: ${MID}/%.lsp
 <<genericSPADfiles>>=
 
 ${OUTSRC}/%.spad: ${IN}/%.pamphlet
-	@ echo tangling $*.pamphlet to $*.spad
+	@ echo sa09tangling $*.pamphlet to $*.spad
 	@(cd ${OUTSRC} ; \
 	 ${TANGLE} ${IN}/$*.pamphlet >$*.spad )
 
@@ -17457,7 +17459,7 @@ ${OUTSRC}/%.spad: ${IN}/%.pamphlet
 <<genericDOCfiles>>=
 
 ${DOC}/%.dvi: ${IN}/%.pamphlet ${DOC}/ps
-	@ echo latexing $*.pamphlet to ${DOC}/$*.dvi
+	@ echo sa10 latexing $*.pamphlet to ${DOC}/$*.dvi
 	@ (cd ${DOC} ; \
 	cp ${IN}/$*.pamphlet ${DOC} ; \
 	${DOCUMENT} ${NOISE} $* ; \
@@ -17478,13 +17480,13 @@ ${DOC}/%.dvi: ${IN}/%.pamphlet ${DOC}/ps
 
 <<libdb.text (OUT from IN)>>=
 ${OUT}/libdb.text: ${IN}/libdb.text
-	@ echo 4300a copying ${IN}/libdb.text to ${OUT}/libdb.text
+	@ echo sa11 copying ${IN}/libdb.text to ${OUT}/libdb.text
 	@ cp ${IN}/libdb.text ${OUT}/libdb.text
 
 @
 <<ps (DOC from SRC)>>=
 ${DOC}/ps: ${SRC}/doc/ps
-	@echo 4300c making ${DOC}/ps from ${SRC}/doc/ps
+	@echo sa12 making ${DOC}/ps from ${SRC}/doc/ps
 	@cp -pr ${SRC}/doc/ps ${DOC}
 
 @
@@ -17836,7 +17838,7 @@ This algebra regression Makefile goes by the chunk name
 single stanza:
 \begin{verbatim}
 %.regress: %.input
-	@ echo algebra regression testing $*
+	@ echo sa13 algebra regression testing $*
 	@ (cd ${MID} ; \
 	  rm -f $*.output ; \
 	  if [ -z "${NOISE}" ] ; then \
@@ -19023,7 +19025,7 @@ REGRESS= \
 # TwoDimensionalViewport
 
 %.regress: %.input
-	@ echo algebra regression testing $*
+	@ echo sa14 algebra regression testing $*
 	@ rm -f $*.output 
 	@ if [ -z "${NOISE}" ] ; then \
            echo ')read $*.input' | ${TESTSYS} ; \
@@ -19040,8 +19042,14 @@ REGRESS= \
 	  fi 
 	@ fgrep "regression result" $*.regress 
 
-all: ${REGRESS}
-	@echo algebra test cases complete.
+all: announce ${REGRESS}
+	@echo sa15 algebra test cases complete.
+
+announce:
+	@ echo ======================================
+	@ echo src/algebra RUNNING REGRESSION TESTING
+	@ echo ======================================
+
 @
 \section{The Makefile}
 
@@ -19079,25 +19087,34 @@ all: ${REGRESS}
 
 all: fasthelp fastinput fastxhtml src ${OUT}/libdb.text \
      ${SPADBIN}/index.html gloss
-	@ echo 4302 finished ${IN}
+	@ echo sa16 finished ${IN}
 
 fasthelp:
-	@echo 6000 making .help files with lisp
+	@ echo ======================================
+	@ echo src/algebra BUILDING HELP FILES
+	@ echo ======================================
+	@echo sa17 making .help files with lisp
 	@ echo "(makeHelpFiles)" | ${LISP}
 
 fastinput:
-	@echo 6001 making .input files with lisp
+	@ echo ======================================
+	@ echo src/algebra BUILDING INPUT FILES
+	@ echo ======================================
+	@echo sa18 making .input files with lisp
 	@ echo "(makeInputFiles)" | ${LISP}
 
 fastxhtml:
-	@echo 6002 making .xhtml files with lisp
+	@ echo ======================================
+	@ echo src/algebra BUILDING XHTML FILES
+	@ echo ======================================
+	@echo sa19 making .xhtml files with lisp
 	@ mkdir -p ${MNT}/doc
 	@ echo "(makeXHTMLFiles)" | ${LISP}
 
 <<newcode>>
 
 ${SPADBIN}/index.html:
-	@ echo 5000 making ${SPADBIN}/index.html
+	@ echo sa20 making ${SPADBIN}/index.html
 	@ echo "<html><head>Axiom Algebra</head><body>" >${SPADBIN}/index.html
 	@- (for i in ${IN}/*.pamphlet ; do \
 	   ${TANGLE} -R'algebra html' $$i 2>/dev/null | \
@@ -19108,19 +19125,24 @@ ${SPADBIN}/index.html:
 #all:	${SUBPART}
 
 gloss:
-	@ echo 5000 copying glossary files
+	@ echo sa21 copying glossary files
 	@ cp ${SRC}/share/algebra/gloss.text ${MNT}/${SYS}/algebra
 	@ cp ${SRC}/share/algebra/glossdef.text ${MNT}/${SYS}/algebra
 	@ cp ${SRC}/share/algebra/glosskey.text ${MNT}/${SYS}/algebra
 
 everything: lib db cmd gloss
-	@ echo 4303 invoking make in `pwd` with parms:
+	@ echo sa22 invoking make in `pwd` with parms:
 	@ echo SYS= ${SYS} LSP= ${LSP} PART= ${PART} SUBPART= ${SUBPART}
 	@ echo SPAD= ${SPAD} SRC= ${SRC} INT= ${INT}
 	@ echo OBJ= ${OBJ} MNT= ${MNT} O=${O} LISP=${LISP} BYE=${BYE}
 
-src:	${ORDER}
-	@ echo 4304 Building nrlibS from spad sources
+src:	announce ${ORDER}
+	@ echo sa23 Finished uilding nrlibS from spad sources
+
+announce:
+	@ echo ======================================
+	@ echo src/algebra BUILDING ALGEBRA FILES
+	@ echo ======================================
 
 <<genericRules>>
 <<ps (DOC from SRC)>>
@@ -19128,7 +19150,7 @@ src:	${ORDER}
 <<stages>>
 
 clean:
-	@echo src/algebra cleaned
+	@echo sa24 src/algebra cleaned
 
 @
 \eject
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b9c86dc..4c5990f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4218,6 +4218,8 @@ books/bookvol5 move code from br-con.lisp
 books/bookvol5 move code from br-con.lisp
 <a href="patches/20130623.01.tpd.patch">20130623.01.tpd.patch</a>
 books/bookvol5 move code from br-con.lisp
+<a href="patches/20130625.01.tpd.patch">20130625.01.tpd.patch</a>
+Makefiles cleanup
  </body>
 </html>
 
diff --git a/src/booklets/Makefile.pamphlet b/src/booklets/Makefile.pamphlet
index f869ff0..b368c1a 100644
--- a/src/booklets/Makefile.pamphlet
+++ b/src/booklets/Makefile.pamphlet
@@ -10,14 +10,19 @@
 \tableofcontents
 \eject
 <<*>>=
-all:
-	@echo 1 building ${INT}/docs/src/booklets
+all: announce
+	@echo sbt01 building ${INT}/docs/src/booklets
 	@cp rosetta.pamphlet ${INT}/docs/src/booklets
 	@(cd ${INT}/docs/src/booklets ; \
 	  ${DOCUMENT} ${NOISE} rosetta )
 
+announce:
+	@ echo ======================================
+	@ echo src/booklets BUILDING BOOKLETS
+	@ echo ======================================
+
 clean:
-	@echo 2 cleaning ${INT}/docs/src/booklets
+	@echo sbt02 cleaning ${INT}/docs/src/booklets
 	@rm -rf ${INT}/docs/src/booklets
 	@rm -f Makefile Makefile.dvi
 @
diff --git a/src/clef/Makefile.pamphlet b/src/clef/Makefile.pamphlet
index b52f6eb..27968b2 100644
--- a/src/clef/Makefile.pamphlet
+++ b/src/clef/Makefile.pamphlet
@@ -43,19 +43,19 @@ DOCFILES=${DOC}/edible.c.dvi
 \section{The clef sources, edible}
 <<edible>>=
 ${OUT}/clef:	${CLEFOBJS}
-	@ echo 1 linking clef
+	@ echo sc1 linking clef
 	@ ${CC} ${CLEFOBJS} -o ${OUT}/clef
 
 ${MID}/edible.c: ${IN}/edible.c.pamphlet
-	@ echo 2 making ${MID}/edible.c from ${IN}/edible.c.pamphlet
+	@ echo sc2 making ${MID}/edible.c from ${IN}/edible.c.pamphlet
 	@ (cd ${MID} ; ${TANGLE} ${IN}/edible.c.pamphlet >edible.c )
 
 ${MID}/edible.o: ${MID}/edible.c ${INC}/edible.h
-	@ echo 3 making ${MID}/edible.o from ${MID}/edible.c
+	@ echo sc3 making ${MID}/edible.o from ${MID}/edible.c
 	@ ( cd ${MID} ; ${CC} -c ${CFLAGS} edible.c -I${INC} )
 
 ${DOC}/edible.c.dvi: ${IN}/edible.c.pamphlet 
-	@ echo 4 making ${DOC}/edible.c.dvi from ${IN}/edible.c.pamphlet
+	@ echo sc4 making ${DOC}/edible.c.dvi from ${IN}/edible.c.pamphlet
 	@ (cd ${DOC} ; \
 	cp ${IN}/edible.c.pamphlet ${DOC} ; \
 	${DOCUMENT} ${NOISE} edible.c ; \
@@ -66,11 +66,16 @@ ${DOC}/edible.c.dvi: ${IN}/edible.c.pamphlet
 @
 <<*>>=
 <<environment>>
-all:	${OUT}/clef ${DOCFILES}
-	@ echo 6 finished ${IN}
+all:	announce ${OUT}/clef ${DOCFILES}
+	@ echo sc6 finished ${IN}
+
+announce:
+	@ echo ======================================
+	@ echo src/clef BUILDING CLEF
+	@ echo ======================================
 
 clean:
-	@echo 7 cleaning ${SRC}/clef
+	@echo sc7 cleaning ${SRC}/clef
 
 <<edible>>
 @
diff --git a/src/doc/Makefile.pamphlet b/src/doc/Makefile.pamphlet
index 59f18aa..d86e5ce 100644
--- a/src/doc/Makefile.pamphlet
+++ b/src/doc/Makefile.pamphlet
@@ -16,7 +16,7 @@ originally written by Norman Ramsey. To this we've added macros to
 support the CATS (Computer Algebra Test Suite).
 <<axiom.sty>>=
 ${STY}/axiom.sty: ${IN}/axiom.sty.pamphlet
-	@echo 2 making ${STY}/axiom.sty from ${IN}/axiom.sty.pamphlet
+	@echo sd01 making ${STY}/axiom.sty from ${IN}/axiom.sty.pamphlet
 	@(cd ${STY} ; \
 	${TANGLE} -R"axiom.sty" ${IN}/axiom.sty.pamphlet >axiom.sty )
 
@@ -25,7 +25,7 @@ ${STY}/axiom.sty: ${IN}/axiom.sty.pamphlet
 This is the one-page, 2 sided reference card
 <<refcard>>=
 ${DVI}/refcard.pdf: ${IN}/refcard.pamphlet
-	@echo 4 making ${DVI}/refcard.dvi from ${IN}/refcard.pamphlet
+	@echo sd02 making ${DVI}/refcard.dvi from ${IN}/refcard.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/refcard.pamphlet ${MID} ;\
 	latex refcard.pamphlet ; \
@@ -40,7 +40,7 @@ This document reproduces the diagrams on the inside covers of the
 original Jenks Axiom book but adds hyperlinks.
 <<Endpapers>>=
 ${DVI}/endpaper.pdf: ${IN}/endpaper.pamphlet
-	@echo 4 making ${DVI}/endpaper.pdf from ${IN}/endpaper.pamphlet
+	@echo sd03 making ${DVI}/endpaper.pdf from ${IN}/endpaper.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/endpaper.pamphlet ${MID} ; \
 	mkdir -p ${MID}/ps ; \
@@ -61,7 +61,7 @@ originally created for the "rosetta" series of CDs. These rosetta
 CDs contained multiple, free computer algebra systems.
 <<rosetta>>=
 ${DVI}/rosetta.pdf: ${IN}/rosetta.pamphlet
-	@echo 5 building ${DVI}/rosetta.dvi from ${IN}/rosetta.pamphlet
+	@echo sd04 building ${DVI}/rosetta.dvi from ${IN}/rosetta.pamphlet
 	@(cd ${MID} ; \
 	cp ${IN}/rosetta.pamphlet ${MID} ; \
 	latex rosetta.pamphlet ; \
@@ -72,17 +72,17 @@ ${DVI}/rosetta.pdf: ${IN}/rosetta.pamphlet
 \section{The booklet command}
 <<booklet>>=
 ${OUT}/booklet: ${MID}/booklet.o
-	@echo 6 making ${OUT}/booklet from ${MID}/booklet.o
+	@echo sd05 making ${OUT}/booklet from ${MID}/booklet.o
 	@(cd ${OUT} ; \
 	  ${CC} ${MID}/booklet.o -o booklet )
 
 ${MID}/booklet.o: ${INT}/booklet.c
-	@echo 7 making ${MID}/booklet.o from ${INT}/booklet.c
+	@echo sd06 making ${MID}/booklet.o from ${INT}/booklet.c
 	@(cd ${MID} ; \
 	  ${CC} -c ${INT}/booklet.c )
 
 ${INT}/booklet.c: ${IN}/booklet.c.pamphlet
-	@echo 8 making ${INT}/booklet.c from ${IN}/booklet.c.pamphlet
+	@echo sd07 making ${INT}/booklet.c from ${IN}/booklet.c.pamphlet
 	@(cd ${INT} ; \
 	  ${TANGLE} ${IN}/booklet.c.pamphlet >booklet.c )
 	  
@@ -102,8 +102,13 @@ FILES= ${STY}/axiom.sty ${DVI}/refcard.pdf \
 
 CMDS=${OUT}/booklet
 
-all: ${FILES} ${CMDS}
-	@echo 9 finished ${IN}
+all: announce ${FILES} ${CMDS}
+	@echo sd08 finished ${IN}
+
+announce:
+	@ echo ======================================
+	@ echo src/doc BUILDING DOC FILES
+	@ echo ======================================
 
 <<booklet>>
 <<axiom.sty>>
@@ -112,10 +117,10 @@ all: ${FILES} ${CMDS}
 <<rosetta>>
 
 document:
-	@echo 10 documenting ${SRC}/doc
+	@echo sd09 documenting ${SRC}/doc
 
 clean:
-	@echo 11 cleaning ${SRC}/doc
+	@echo sd10 cleaning ${SRC}/doc
 @
 \eject
 \begin{thebibliography}{99}
diff --git a/src/etc/Makefile.pamphlet b/src/etc/Makefile.pamphlet
index 624e504..1670deb 100644
--- a/src/etc/Makefile.pamphlet
+++ b/src/etc/Makefile.pamphlet
@@ -18,7 +18,7 @@ the databases. If any if any of these are changed, the databases must
 be re-built.
 <<dbcomplete>>=
 ${MNT}/${SYS}/algebra/*.daase: ${INT}/algebra/*.nrlib/code.o
-	@ echo 4 rebuilding databases...
+	@ echo se01 rebuilding databases...
 	@ cp ${SRC}/doc/gloss.text ${INT}/algebra
 	@ cp ${SRC}/doc/gloss.text ${INT}/algebra
 	@ cp ${SRC}/doc/topics.data ${INT}/algebra
@@ -31,14 +31,14 @@ ${MNT}/${SYS}/algebra/*.daase: ${INT}/algebra/*.nrlib/code.o
 \section{summary}
 <<summary>>=
 ${LIB}/summary: ${IN}/summary
-	@echo 2 making ${LIB}/summary from ${IN}/summary
+	@echo se02 making ${LIB}/summary from ${IN}/summary
 	@cp ${IN}/summary ${LIB}/summary
 
 @
 \section{copyright}
 <<copyright>>=
 ${LIB}/copyright: ${IN}/copyright
-	@echo 3 making ${LIB}/copyright from ${IN}/copyright
+	@echo si03 making ${LIB}/copyright from ${IN}/copyright
 	@cp ${IN}/copyright ${LIB}/copyright
 
 @
@@ -64,12 +64,12 @@ searchkey can be either a domain or its abbreviation.
 \end{verbatim}
 <<asq>>=
 ${OUT}/asq: ${MID}/asq.c
-	@echo 4 making ${OUT}/asq from ${MID}/asq.c
+	@echo se04 making ${OUT}/asq from ${MID}/asq.c
 	@( cd ${MID} ; ${CC} ${CCF} -o asq asq.c )
 	@cp ${MID}/asq ${OUT}
 
 ${MID}/asq.c: ${IN}/asq.c.pamphlet
-	@echo 5 making ${OUT}/asq from ${MID}/asq.c
+	@echo se05 making ${OUT}/asq from ${MID}/asq.c
 	@( cd ${MID} ; \
 	  ${TANGLE} ${IN}/asq.c.pamphlet >asq.c )
 
@@ -82,23 +82,28 @@ LIB=${MNT}/${SYS}/lib
 DOC=${INT}/doc/src/etc
 INTERPSYS=${OBJ}/${SYS}/bin/interpsys
 
-all: ${MNT}/${SYS}/algebra/*.daase ${OUT}/asq ${LIB}/summary \
+all: announce ${MNT}/${SYS}/algebra/*.daase ${OUT}/asq ${LIB}/summary \
      ${LIB}/copyright 
-	@echo 6 finished ${IN}
+	@echo se06 finished ${IN}
+
+announce:
+	@ echo ======================================
+	@ echo src/etc BUILDING ETC
+	@ echo ======================================
 
 <<dbcomplete>>
 <<asq>>
 <<summary>>
 <<copyright>>
 document:
-	@echo 7 documenting ${IN}
+	@echo se07 documenting ${IN}
 	@( cd ${DOC} ; \
 	  cp ${IN}/asq.c.pamphlet . ; \
 	  ${DOCUMENT} ${NOISE} asq.c ; \
 	  rm asq.c.pamphlet )
 
 clean:
-	@echo 8 cleaning ${SRC}/etc
+	@echo se08 cleaning ${SRC}/etc
 	@rm -rf ${MID}
 	@rm -rf ${DOC}
 	@rm -f Makefile Makefile.dvi
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index a328369..086188b 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -53,7 +53,7 @@ regress target.
 <<genericRules>>=
 
 ${OUT}/%.input: ${MID}/%.input
-	@ echo generic 10 making ${OUT}/$*.input from ${MID}/$*.input
+	@ echo si01 making ${OUT}/$*.input from ${MID}/$*.input
 	@ cp ${MID}/$*.input ${OUT}/$*.input
 
 .PRECIOUS: ${MID}/%.input
@@ -61,27 +61,27 @@ ${OUT}/%.input: ${MID}/%.input
 LISPTANGLE=${OBJ}/${SYS}/bin/lisp
 
 ${MID}/%.input: ${IN}/%.input.pamphlet
-	@ echo generic 11 making ${MID}/$*.input from ${IN}/$*.input.pamphlet
+	@ echo si02 making ${MID}/$*.input from ${IN}/$*.input.pamphlet
 	@(cd ${MID} ; \
           echo '(tangle "${IN}/$*.input.pamphlet" "*" "$*.input")' | \
           ${LISPTANGLE} )
 
 ${OUT}/%.as: ${MID}/%.as
-	@echo generic 12 making ${OUT}/$*.as from ${MID}/$*.as
+	@echo si03 making ${OUT}/$*.as from ${MID}/$*.as
 	@ cp ${MID}/$*.as ${OUT}/$*.as
 
 ${MID}/%.as: ${IN}/%.as.pamphlet
-	@echo generic 13 making ${MID}/$*.as from ${IN}/$*.as.pamphlet
+	@echo si04 making ${MID}/$*.as from ${IN}/$*.as.pamphlet
 	@(cd ${MID} ; \
 	  ${TANGLE} ${IN}/$*.as.pamphlet >$*.as)
 
 ${DOC}/axiom.sty:
-	@echo generic 14a making ${DOC}/axiom.sty from \
+	@echo si05 making ${DOC}/axiom.sty from \
             ${SRC}/scripts/tex/axiom.sty
 	@cp ${SRC}/scripts/tex/axiom.sty ${DOC}
 
 ${DOC}/%.input.dvi: ${IN}/%.input.pamphlet ${DOC}/axiom.sty
-	@ echo generic 14 making ${DOC}/$*.input.dvi from \
+	@ echo si06 making ${DOC}/$*.input.dvi from \
                ${IN}/$*.input.pamphlet
 	@ if [ "${BUILD}" = "full" ] ; then \
 	( cd ${DOC} ; \
@@ -95,7 +95,7 @@ ${DOC}/%.input.dvi: ${IN}/%.input.pamphlet ${DOC}/axiom.sty
 	rm -f ${DOC}/$*.input.toc ) ; fi
 
 ${DOC}/%.as.dvi: ${IN}/%.as.pamphlet 
-	@ echo generic 15 making ${DOC}/$*.as.dvi from ${IN}/$*.as.pamphlet
+	@ echo si07 making ${DOC}/$*.as.dvi from ${IN}/$*.as.pamphlet
 	@ (cd ${DOC} ; \
 	cp ${IN}/$*.as.pamphlet ${DOC} ; \
 	${DOCUMENT} ${NOISE} $*.as ; \
@@ -121,8 +121,8 @@ INPUT=  ${MNT}/${SYS}/src/input
 
 DOC=    ${MNT}/${SYS}/doc/src/input
  
-all:	
-	@ echo making ${MID}
+all: announce
+	@ echo si08 making ${MID}
 	@ cp -p ${IN}/*.input ${MID}
 	@ cp -p ${IN}/axiom.test ${MID}/axiom.input
 	@ cp ${IN}/Makefile.int ${MID}/Makefile
@@ -144,15 +144,18 @@ all:
 #	@ (cd ${OUT} ; maildiff )
 	@ echo done
 
-and yet further stanzas
+announce:
+	@ echo ======================================
+	@ echo src/input BUILDING INPUT FILES
+	@ echo ======================================
 
 .SUFFIXES: .input .rec
  
 all:    ${OUTS}
-	@ echo done with ${OUTS}
+	@ echo si09 done with ${OUTS}
 
 .input.rec:
-	@ echo creating `pwd`/$*.rec
+	@ echo si10 creating `pwd`/$*.rec
 	@ axiom -rm $*.input
  
 and still further stanzas
@@ -160,10 +163,10 @@ and still further stanzas
 .SUFFIXES: .rec .out
 
 all:	${OUTS}
-	@ echo obj done with ${OUTS}
+	@ echo si11 obj done with ${OUTS}
  
 .rec.out:
-	@ echo running rec file $* from directory `pwd`
+	@ echo si12 running rec file $* from directory `pwd`
 	@ axiom -rv $*.rec
 
 
@@ -479,33 +482,43 @@ LISPTANGLE=${OBJ}/${SYS}/bin/lisp
 all: alltests
 
 algebratests: ${OUTS}
-	@ echo 0 starting algebra regression testing
+	@ echo si13 starting algebra regression testing
 	@ (cd ${MID} ; \
 	  ${TANGLE} -t8 -R"algebra.regress" ${SRC}/algebra/Makefile.pamphlet \
             >Makefile.algebra ; \
           ${MAKE} -f Makefile.algebra )
-	@ echo 1 finished ${INT}/input
+	@ echo si14 finished ${INT}/input
 
 richtests: ${RICHTESTS} ${OUTS}
-	@ echo 1 running testset rich
+	@ echo ======================================
+	@ echo src/input RUNNING RICH TESTS
+	@ echo ======================================
  
 catstests: ${CATSTESTS} ${OUTS}
-	@ echo 2 running testset cats
+	@ echo ======================================
+	@ echo src/input RUNNING CATS TESTS
+	@ echo ======================================
 
 regresstests: ${REGRESSTESTS} ${OUTS}
-	@ echo 3 running testset regress
+	@ echo ======================================
+	@ echo src/input RUNNING REGRESSION TESTS
+	@ echo ======================================
  
 alltests: regresstests catstests richtests algebratests ${OUTS}
-	@ echo 4 running all tests
+	@ echo ======================================
+	@ echo src/input RUNNING ALL TESTS
+	@ echo ======================================
 
 notests:
-	@ echo 5 running no tests
+	@ echo ======================================
+	@ echo src/input RUNNING NO TESTS
+	@ echo ======================================
  
 %.input: ${IN}/%.input.pamphlet
-	@ echo generic 16 making ${MID}/$*.input from ${IN}/$*.input.pamphlet
+	@ echo si15 making ${MID}/$*.input from ${IN}/$*.input.pamphlet
 	@(cd ${MID} ; \
          echo '(tangle "${IN}/$*.input.pamphlet" "*" "$*.input")' | \
-	  ${LISPTANGLE} )
+	  ${LISPTANGLE} 1>/dev/null 2>/dev/null)
 
 @
 The curious use of {\tt egrep} in the pipeline is to remove the
@@ -517,7 +530,7 @@ The input files are not removed because this parallel builds
 create race conditions.
 <<regression tests>>=
 %.output: %.input
-	@ echo generic 17 running test file $* using $*tpd.input 
+	@ echo si16 running test file $* using $*tpd.input 
 	@ echo ')set message test on' > $*tpd.input 
 	@ echo ')set message auto off' >> $*tpd.input 
 	@ echo ')read $*' >> $*tpd.input 
@@ -545,7 +558,7 @@ This is done by commands within the input file itself and uses
 the built-in gclweb function (see src/interp/gclweb.lisp)
 <<regression tests>>=
 %.regress: %.input
-	@ echo regression testing $*
+	@ echo si17 regression testing $*
 	@ (cd ${MID} ; \
 	  rm -f $*.output ; \
 	  if [ -z "${NOISE}" ] ; then \
@@ -1306,10 +1319,10 @@ all: ${FILES} ${FILES2} ${ASFILES} ${RICHINPUT} regress ${DOCFILES}
 <<genericRules>>
 
 use:
-	@echo 2 making ${OUT} from ${IN}
+	@echo si18 making ${OUT} from ${IN}
 
 regress:
-	@echo 3 making ${MID}
+	@echo si19 making ${MID}
 	@ ${TANGLE} -t8 -R"regression tests" ${IN}/Makefile.pamphlet \
           >${MID}/Makefile
 	@ echo 3a tpdhere parallel making ${MID} 
@@ -1317,15 +1330,15 @@ regress:
 	( cd ${MID}; ${ENV} ${MAKE} ${TESTSET} )
 
 bug:
-	@echo 4 making ${OUT} from ${IN}
+	@echo si20 making ${OUT} from ${IN}
 
 document:
-	@echo 5 documenting ${OUT}
+	@echo si21 documenting ${OUT}
 
 clean:
-	@echo 6 cleaning ${MID}
+	@echo si22 cleaning ${MID}
 	@rm -rf ${MID}
-	@echo 7 cleaning ${OUT}
+	@echo si23 cleaning ${OUT}
 	@rm -rf ${OUT}
 	@rm -f Makefile Makefile.dvi
 
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index c54e88c..bf22ba7 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -345,7 +345,7 @@ used in a running system so all of the required routines will
 be in the lisp image thus minimizing their startup time.
 <<warm.data.stanza>>=
 ${INT}/algebra/warm.data: 
-	@ echo 2 building warm.data
+	@ echo si001 building warm.data
 	@ ${TANGLE} -Rwarm.data ${IN}/Makefile.pamphlet >${INT}/algebra/warm.data
 
 @
@@ -595,7 +595,7 @@ ${DEPSYS}:	${DEP} ${OUT}/sys-pkg.${LISP} ${OUT}/nocompil.${LISP} \
 	        ${OUT}/g-util.lisp \
 	        ${OUT}/clam.lisp \
 	        ${OUT}/slam.lisp ${LOADSYS}
-	@ echo 3 making ${DEPSYS} 
+	@ echo si002 making ${DEPSYS} 
 	@ echo '${PROCLAIMS}' > ${OUT}/makedep.lisp
 	@ echo '(push :oldboot *features*)' >>${OUT}/makedep.lisp
 	@ echo '(load "${OUT}/nocompil")' >> ${OUT}/makedep.lisp
@@ -631,7 +631,7 @@ ${DEPSYS}:	${DEP} ${OUT}/sys-pkg.${LISP} ${OUT}/nocompil.${LISP} \
           ':output-file "${OUT}/g-util.${O}"))' >> ${OUT}/makedep.lisp
 	@ echo '(load "${OUT}/g-util")' >> ${OUT}/makedep.lisp
 <<save depsys image>>
-	@ echo 4 ${DEPSYS} created
+	@ echo si003 ${DEPSYS} created
 
 @
 \section{Building SAVESYS and AXIOMSYS}
@@ -648,7 +648,7 @@ ${SAVESYS}:	${DEPSYS} ${OBJS} ${OUT}/bookvol5.${O} ${OUT}/util.${O} \
 	        ${LOADSYS} \
 		${SRC}/doc/msgs/s2-us.msgs \
 	        ${INT}/algebra/warm.data
-	@ echo 5 invoking make in `pwd` with parms:
+	@ echo si004 invoking make in `pwd` with parms:
 	@ echo SYS= ${SYS} 
 	@ echo LSP= ${LSP} 
 	@ echo PART= ${PART} 
@@ -694,9 +694,9 @@ ${SAVESYS}:	${DEPSYS} ${OBJS} ${OUT}/bookvol5.${O} ${OUT}/util.${O} \
 	@ (cd ${OBJ}/${SYS}/bin ; \
 	  echo '(progn (gbc t) (load "${OUT}/makeint.lisp")' \
                  '(gbc t) (user::spad-save "${SAVESYS}"))' | ${LISPSYS} )
-	@ echo 6 ${SAVESYS} created
+	@ echo si005 ${SAVESYS} created
 	@ cp ${SAVESYS} ${AXIOMSYS}
-	@ echo 6a ${AXIOMSYS} created
+	@ echo si006 ${AXIOMSYS} created
 
 @
 
@@ -706,11 +706,11 @@ files are known to exist and be up to date. We don't list any of
 the preconditions here. 
 <<debugsys>>=
 ${DEBUGSYS}: ${MID}/debugsys.lisp
-	@ echo 7 building debugsys
+	@ echo si007 building debugsys
 	@ (cd ${OBJ}/${SYS}/bin ; \
 	  echo '(progn (gbc t) (load "${MID}/debugsys.lisp")' \
                  '(user::spad-save "${DEBUGSYS}"))' | ${LISPSYS} )
-	@ echo 8 ${DEBUGSYS} created
+	@ echo si008 ${DEBUGSYS} created
 
 @
 
@@ -719,7 +719,7 @@ ${DEBUGSYS}: ${MID}/debugsys.lisp
 \subsection{cfuns.lisp \cite{10}}
 <<cfuns.o (OUT from MID)>>=
 ${OUT}/cfuns.${O}: ${MID}/cfuns.lisp
-	@ echo 24 making ${OUT}/cfuns.${O} from ${MID}/cfuns.lisp
+	@ echo si009 making ${OUT}/cfuns.${O} from ${MID}/cfuns.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/cfuns.lisp"' \
@@ -733,10 +733,10 @@ ${OUT}/cfuns.${O}: ${MID}/cfuns.lisp
 @
 <<cfuns.lisp (MID from IN)>>=
 ${MID}/cfuns.lisp: ${IN}/cfuns.lisp.pamphlet
-	@ echo 25 making ${MID}/cfuns.lisp from ${IN}/cfuns.lisp.pamphlet
+	@ echo si010 making ${MID}/cfuns.lisp from ${IN}/cfuns.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/cfuns.lisp.pamphlet" "*" "cfuns.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
@@ -755,17 +755,17 @@ We simply captured that temporary file, replaced the .o files with .lisp
 files (or .lsp or .clisp) and saved it here.
 <<debugsys.lisp (MID from IN)>>=
 ${MID}/debugsys.lisp: ${IN}/debugsys.lisp.pamphlet
-	@ echo 39 making ${MID}/debugsys.lisp from ${IN}/debugsys.lisp.pamphlet
+	@ echo si011 making ${MID}/debugsys.lisp from ${IN}/debugsys.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/debugsys.lisp.pamphlet" "*" "debugsys.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{fortcall.lisp}
 <<fortcall.o (OUT from MID)>>=
 ${OUT}/fortcall.${O}: ${MID}/fortcall.lisp
-	@ echo 136 making ${OUT}/fortcall.${O} from ${MID}/fortcall.lisp
+	@ echo si012 making ${OUT}/fortcall.${O} from ${MID}/fortcall.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/fortcall.lisp"' \
@@ -779,17 +779,17 @@ ${OUT}/fortcall.${O}: ${MID}/fortcall.lisp
 @
 <<fortcall.lisp (MID from IN)>>=
 ${MID}/fortcall.lisp: ${IN}/fortcall.lisp.pamphlet
-	@ echo 137 making ${MID}/fortcall.lisp from \
+	@ echo si013 making ${MID}/fortcall.lisp from \
            ${IN}/fortcall.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/fortcall.lisp.pamphlet" "*" "fortcall.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 \subsection{hypertex.lisp}
 <<hypertex.o (OUT from MID)>>=
 ${OUT}/hypertex.${O}: ${MID}/hypertex.lisp
-	@ echo 136 making ${OUT}/hypertex.${O} from ${MID}/hypertex.lisp
+	@ echo si014 making ${OUT}/hypertex.${O} from ${MID}/hypertex.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/hypertex.lisp"' \
@@ -803,40 +803,40 @@ ${OUT}/hypertex.${O}: ${MID}/hypertex.lisp
 @
 <<hypertex.lisp (MID from IN)>>=
 ${MID}/hypertex.lisp: ${IN}/hypertex.lisp.pamphlet
-	@ echo 137 making ${MID}/hypertex.lisp from \
+	@ echo si015 making ${MID}/hypertex.lisp from \
            ${IN}/hypertex.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/hypertex.lisp.pamphlet" "*" "hypertex.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nocompil.lisp \cite{27}}
 <<nocompil.lisp (OUT from MID)>>=
 ${OUT}/nocompil.${LISP}: ${MID}/nocompil.lisp 
-	@ echo 86 making ${OUT}/nocompil.${LISP} from ${MID}/nocompil.lisp
+	@ echo si016 making ${OUT}/nocompil.${LISP} from ${MID}/nocompil.lisp
 	@ cp ${MID}/nocompil.lisp ${OUT}/nocompil.${LISP}
 
 @
 <<nocompil.lisp (MID from IN)>>=
 ${MID}/nocompil.lisp: ${IN}/nocompil.lisp.pamphlet
-	@ echo 87 making ${MID}/nocompil.lisp from ${IN}/nocompil.lisp.pamphlet
+	@ echo si017 making ${MID}/nocompil.lisp from ${IN}/nocompil.lisp.pamphlet
 	@ ( cd ${MID} ; \
           echo '(tangle "${IN}/nocompil.lisp.pamphlet" "*" "nocompil.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{parsing.lisp \cite{29}}
 <<parsing.o (AUTO from OUT)>>=
 ${AUTO}/parsing.${O}: ${OUT}/parsing.${O}
-	@ echo 94 making ${AUTO}/parsing.${O} from ${OUT}/parsing.${O}
+	@ echo si018 making ${AUTO}/parsing.${O} from ${OUT}/parsing.${O}
 	@ cp ${OUT}/parsing.${O} ${AUTO}
 
 @
 <<parsing.o (OUT from MID)>>=
 ${OUT}/parsing.${O}: ${MID}/parsing.lisp 
-	@ echo 95 making ${OUT}/parsing.${O} from ${MID}/parsing.lisp
+	@ echo si019 making ${OUT}/parsing.${O} from ${MID}/parsing.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/parsing.lisp"' \
@@ -844,29 +844,29 @@ ${OUT}/parsing.${O}: ${MID}/parsing.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/parsing.lisp"' \
              ':output-file "${OUT}/parsing.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 	  
 @
 <<parsing.lisp (OUT from MID)>>=
 ${OUT}/parsing.${LISP}: ${MID}/parsing.lisp
-	@ echo 96 making ${OUT}/parsing.${LISP} from ${MID}/parsing.lisp
+	@ echo si020 making ${OUT}/parsing.${LISP} from ${MID}/parsing.lisp
 	@cp ${MID}/parsing.lisp ${OUT}/parsing.${LISP}
 
 @
 <<parsing.lisp (MID from IN)>>=
 ${MID}/parsing.lisp: ${IN}/parsing.lisp.pamphlet
-	@ echo 97 making ${MID}/parsing.lisp from ${IN}/parsing.lisp.pamphlet
+	@ echo si021 making ${MID}/parsing.lisp from ${IN}/parsing.lisp.pamphlet
 	@ ( cd ${MID} ; \
           echo '(tangle "${IN}/parsing.lisp.pamphlet" "*" "parsing.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 	  
 @
 
 \subsection{patches.lisp \cite{5}}
 <<patches.o (OUT from MID)>>=
 ${OUT}/patches.${O}: ${MID}/patches.lisp
-	@ echo 99 making ${OUT}/patches.${O} from ${MID}/patches.lisp
+	@ echo si022 making ${OUT}/patches.${O} from ${MID}/patches.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/patches.lisp"' \
@@ -874,23 +874,23 @@ ${OUT}/patches.${O}: ${MID}/patches.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/patches.lisp"' \
              ':output-file "${OUT}/patches.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<patches.lisp (MID from IN)>>=
 ${MID}/patches.lisp: ${IN}/patches.lisp.pamphlet
-	@ echo 100 making ${MID}/patches.lisp from ${IN}/patches.lisp.pamphlet
+	@ echo si023 making ${MID}/patches.lisp from ${IN}/patches.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/patches.lisp.pamphlet" "*" "patches.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{sockio.lisp \cite{33}}
 <<sockio.o (OUT from MID)>>=
 ${OUT}/sockio.${O}: ${MID}/sockio.lisp
-	@ echo 117 making ${OUT}/sockio.${O} from ${MID}/sockio.lisp
+	@ echo si024 making ${OUT}/sockio.${O} from ${MID}/sockio.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/sockio.lisp"' \
@@ -898,39 +898,39 @@ ${OUT}/sockio.${O}: ${MID}/sockio.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/sockio.lisp"' \
              ':output-file "${OUT}/sockio.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<sockio.lisp (MID from IN)>>=
 ${MID}/sockio.lisp: ${IN}/sockio.lisp.pamphlet
-	@ echo 118 making ${MID}/sockio.lisp from ${IN}/sockio.lisp.pamphlet
+	@ echo si025 making ${MID}/sockio.lisp from ${IN}/sockio.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/sockio.lisp.pamphlet" "*" "sockio.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{sys-pkg.lisp \cite{36}}
 <<sys-pkg.lisp (OUT from MID)>>=
 ${OUT}/sys-pkg.${LISP}: ${MID}/sys-pkg.lisp 
-	@ echo 126 making ${OUT}/sys-pkg.${LISP} from ${MID}/sys-pkg.lisp
+	@ echo si026 making ${OUT}/sys-pkg.${LISP} from ${MID}/sys-pkg.lisp
 	@ cp ${MID}/sys-pkg.lisp ${OUT}/sys-pkg.${LISP}
 
 @
 <<sys-pkg.lisp (MID from IN)>>=
 ${MID}/sys-pkg.lisp: ${IN}/sys-pkg.lisp.pamphlet
-	@ echo 127 making ${MID}/sys-pkg.lisp from ${IN}/sys-pkg.lisp.pamphlet
+	@ echo si027 making ${MID}/sys-pkg.lisp from ${IN}/sys-pkg.lisp.pamphlet
 	@ ( cd ${MID} ; \
           echo '(tangle "${IN}/sys-pkg.lisp.pamphlet" "*" "sys-pkg.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{util.lisp \cite{38}}
 <<util.o (OUT from MID)>>=
 ${OUT}/util.${O}: ${MID}/util.lisp
-	@ echo 132 making ${OUT}/util.${O} from ${MID}/util.lisp
+	@ echo si028 making ${OUT}/util.${O} from ${MID}/util.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/util.lisp"' \
@@ -938,29 +938,29 @@ ${OUT}/util.${O}: ${MID}/util.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/util.lisp"' \
              ':output-file "${OUT}/util.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<util.lisp (OUT from MID)>>=
 ${OUT}/util.${LISP}: ${MID}/util.lisp
-	@ echo 133 making ${OUT}/util.${LISP} from ${MID}/util.lisp
+	@ echo si029 making ${OUT}/util.${LISP} from ${MID}/util.lisp
 	@cp ${MID}/util.lisp ${OUT}/util.${LISP}
 
 @
 <<util.lisp (MID from IN)>>=
 ${MID}/util.lisp: ${IN}/util.lisp.pamphlet
-	@ echo 134 making ${MID}/util.lisp from ${IN}/util.lisp.pamphlet
+	@ echo si030 making ${MID}/util.lisp from ${IN}/util.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/util.lisp.pamphlet" "*" "util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{vmlisp.lisp \cite{39}}
 <<vmlisp.o (OUT from MID)>>=
 ${OUT}/vmlisp.${O}: ${MID}/vmlisp.lisp
-	@ echo 136 making ${OUT}/vmlisp.${O} from ${MID}/vmlisp.lisp
+	@ echo si031 making ${OUT}/vmlisp.${O} from ${MID}/vmlisp.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/vmlisp.lisp"' \
@@ -968,23 +968,23 @@ ${OUT}/vmlisp.${O}: ${MID}/vmlisp.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/vmlisp.lisp"' \
              ':output-file "${OUT}/vmlisp.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<vmlisp.lisp (MID from IN)>>=
 ${MID}/vmlisp.lisp: ${IN}/vmlisp.lisp.pamphlet
-	@ echo 137 making ${MID}/vmlisp.lisp from ${IN}/vmlisp.lisp.pamphlet
+	@ echo si032 making ${MID}/vmlisp.lisp from ${IN}/vmlisp.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/vmlisp.lisp.pamphlet" "*" "vmlisp.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{buildom.lisp}
 <<buildom.o (OUT from MID)>>=
 ${OUT}/buildom.${O}: ${MID}/buildom.lisp
-	@ echo 136 making ${OUT}/buildom.${O} from ${MID}/buildom.lisp
+	@ echo si033 making ${OUT}/buildom.${O} from ${MID}/buildom.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/buildom.lisp"' \
@@ -992,23 +992,23 @@ ${OUT}/buildom.${O}: ${MID}/buildom.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/buildom.lisp"' \
              ':output-file "${OUT}/buildom.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<buildom.lisp (MID from IN)>>=
 ${MID}/buildom.lisp: ${IN}/buildom.lisp.pamphlet
-	@ echo 137 making ${MID}/buildom.lisp from ${IN}/buildom.lisp.pamphlet
+	@ echo si034 making ${MID}/buildom.lisp from ${IN}/buildom.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/buildom.lisp.pamphlet" "*" "buildom.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{c-util.lisp}
 <<c-util.o (OUT from MID)>>=
 ${OUT}/c-util.${O}: ${MID}/c-util.lisp
-	@ echo 136 making ${OUT}/c-util.${O} from ${MID}/c-util.lisp
+	@ echo si035 making ${OUT}/c-util.${O} from ${MID}/c-util.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/c-util.lisp"' \
@@ -1016,38 +1016,38 @@ ${OUT}/c-util.${O}: ${MID}/c-util.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/c-util.lisp"' \
              ':output-file "${OUT}/c-util.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<c-util.lisp (MID from IN)>>=
 ${MID}/c-util.lisp: ${IN}/c-util.lisp.pamphlet
-	@ echo 137 making ${MID}/c-util.lisp from ${IN}/c-util.lisp.pamphlet
+	@ echo si036 making ${MID}/c-util.lisp from ${IN}/c-util.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/c-util.lisp.pamphlet" "*" "c-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 <<c-util.lisp (OUT from IN)>>=
 ${OUT}/c-util.lisp: ${IN}/c-util.lisp.pamphlet
-	@ echo 221 making ${OUT}/c-util.lisp from ${IN}/c-util.lisp.pamphlet
+	@ echo si037 making ${OUT}/c-util.lisp from ${IN}/c-util.lisp.pamphlet
 	@ rm -f ${OUT}/c-util.${O}
 	@( cd ${OUT} ; \
           echo '(tangle "${IN}/c-util.lisp.pamphlet" "*" "c-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-c02.lisp}
 <<nag-c02.o (AUTO from OUT)>>=
 ${AUTO}/nag-c02.${O}: ${OUT}/nag-c02.${O}
-	@ echo 154 making ${AUTO}/nag-c02.${O} from ${OUT}/nag-c02.${O}
+	@ echo si038 making ${AUTO}/nag-c02.${O} from ${OUT}/nag-c02.${O}
 	@ cp ${OUT}/nag-c02.${O} ${AUTO}
 
 @
 <<nag-c02.o (OUT from MID)>>=
 ${OUT}/nag-c02.${O}: ${MID}/nag-c02.lisp
-	@ echo 136 making ${OUT}/nag-c02.${O} from ${MID}/nag-c02.lisp
+	@ echo si039 making ${OUT}/nag-c02.${O} from ${MID}/nag-c02.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-c02.lisp"' \
@@ -1055,29 +1055,29 @@ ${OUT}/nag-c02.${O}: ${MID}/nag-c02.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-c02.lisp"' \
              ':output-file "${OUT}/nag-c02.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-c02.lisp (MID from IN)>>=
 ${MID}/nag-c02.lisp: ${IN}/nag-c02.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-c02.lisp from ${IN}/nag-c02.lisp.pamphlet
+	@ echo si040 making ${MID}/nag-c02.lisp from ${IN}/nag-c02.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-c02.lisp.pamphlet" "*" "nag-c02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-c05.lisp}
 <<nag-c05.o (AUTO from OUT)>>=
 ${AUTO}/nag-c05.${O}: ${OUT}/nag-c05.${O}
-	@ echo 154 making ${AUTO}/nag-c05.${O} from ${OUT}/nag-c05.${O}
+	@ echo si041 making ${AUTO}/nag-c05.${O} from ${OUT}/nag-c05.${O}
 	@ cp ${OUT}/nag-c05.${O} ${AUTO}
 
 @
 <<nag-c05.o (OUT from MID)>>=
 ${OUT}/nag-c05.${O}: ${MID}/nag-c05.lisp
-	@ echo 136 making ${OUT}/nag-c05.${O} from ${MID}/nag-c05.lisp
+	@ echo si042 making ${OUT}/nag-c05.${O} from ${MID}/nag-c05.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-c05.lisp"' \
@@ -1085,29 +1085,29 @@ ${OUT}/nag-c05.${O}: ${MID}/nag-c05.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-c05.lisp"' \
              ':output-file "${OUT}/nag-c05.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-c05.lisp (MID from IN)>>=
 ${MID}/nag-c05.lisp: ${IN}/nag-c05.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-c05.lisp from ${IN}/nag-c05.lisp.pamphlet
+	@ echo si043 making ${MID}/nag-c05.lisp from ${IN}/nag-c05.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-c05.lisp.pamphlet" "*" "nag-c05.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-c06.lisp}
 <<nag-c06.o (AUTO from OUT)>>=
 ${AUTO}/nag-c06.${O}: ${OUT}/nag-c06.${O}
-	@ echo 154 making ${AUTO}/nag-c06.${O} from ${OUT}/nag-c06.${O}
+	@ echo si044 making ${AUTO}/nag-c06.${O} from ${OUT}/nag-c06.${O}
 	@ cp ${OUT}/nag-c06.${O} ${AUTO}
 
 @
 <<nag-c06.o (OUT from MID)>>=
 ${OUT}/nag-c06.${O}: ${MID}/nag-c06.lisp
-	@ echo 136 making ${OUT}/nag-c06.${O} from ${MID}/nag-c06.lisp
+	@ echo si045 making ${OUT}/nag-c06.${O} from ${MID}/nag-c06.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-c06.lisp"' \
@@ -1115,29 +1115,29 @@ ${OUT}/nag-c06.${O}: ${MID}/nag-c06.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-c06.lisp"' \
              ':output-file "${OUT}/nag-c06.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-c06.lisp (MID from IN)>>=
 ${MID}/nag-c06.lisp: ${IN}/nag-c06.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-c06.lisp from ${IN}/nag-c06.lisp.pamphlet
+	@ echo si046 making ${MID}/nag-c06.lisp from ${IN}/nag-c06.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-c06.lisp.pamphlet" "*" "nag-c06.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-d01.lisp}
 <<nag-d01.o (AUTO from OUT)>>=
 ${AUTO}/nag-d01.${O}: ${OUT}/nag-d01.${O}
-	@ echo 154 making ${AUTO}/nag-d01.${O} from ${OUT}/nag-d01.${O}
+	@ echo si047 making ${AUTO}/nag-d01.${O} from ${OUT}/nag-d01.${O}
 	@ cp ${OUT}/nag-d01.${O} ${AUTO}
 
 @
 <<nag-d01.o (OUT from MID)>>=
 ${OUT}/nag-d01.${O}: ${MID}/nag-d01.lisp
-	@ echo 136 making ${OUT}/nag-d01.${O} from ${MID}/nag-d01.lisp
+	@ echo si048 making ${OUT}/nag-d01.${O} from ${MID}/nag-d01.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-d01.lisp"' \
@@ -1145,29 +1145,29 @@ ${OUT}/nag-d01.${O}: ${MID}/nag-d01.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-d01.lisp"' \
              ':output-file "${OUT}/nag-d01.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-d01.lisp (MID from IN)>>=
 ${MID}/nag-d01.lisp: ${IN}/nag-d01.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-d01.lisp from ${IN}/nag-d01.lisp.pamphlet
+	@ echo si049 making ${MID}/nag-d01.lisp from ${IN}/nag-d01.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-d01.lisp.pamphlet" "*" "nag-d01.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-d02.lisp}
 <<nag-d02.o (AUTO from OUT)>>=
 ${AUTO}/nag-d02.${O}: ${OUT}/nag-d02.${O}
-	@ echo 154 making ${AUTO}/nag-d02.${O} from ${OUT}/nag-d02.${O}
+	@ echo si050 making ${AUTO}/nag-d02.${O} from ${OUT}/nag-d02.${O}
 	@ cp ${OUT}/nag-d02.${O} ${AUTO}
 
 @
 <<nag-d02.o (OUT from MID)>>=
 ${OUT}/nag-d02.${O}: ${MID}/nag-d02.lisp
-	@ echo 136 making ${OUT}/nag-d02.${O} from ${MID}/nag-d02.lisp
+	@ echo si051 making ${OUT}/nag-d02.${O} from ${MID}/nag-d02.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-d02.lisp"' \
@@ -1175,29 +1175,29 @@ ${OUT}/nag-d02.${O}: ${MID}/nag-d02.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-d02.lisp"' \
              ':output-file "${OUT}/nag-d02.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-d02.lisp (MID from IN)>>=
 ${MID}/nag-d02.lisp: ${IN}/nag-d02.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-d02.lisp from ${IN}/nag-d02.lisp.pamphlet
+	@ echo si052 making ${MID}/nag-d02.lisp from ${IN}/nag-d02.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-d02.lisp.pamphlet" "*" "nag-d02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-d03.lisp}
 <<nag-d03.o (AUTO from OUT)>>=
 ${AUTO}/nag-d03.${O}: ${OUT}/nag-d03.${O}
-	@ echo 154 making ${AUTO}/nag-d03.${O} from ${OUT}/nag-d03.${O}
+	@ echo si053 making ${AUTO}/nag-d03.${O} from ${OUT}/nag-d03.${O}
 	@ cp ${OUT}/nag-d03.${O} ${AUTO}
 
 @
 <<nag-d03.o (OUT from MID)>>=
 ${OUT}/nag-d03.${O}: ${MID}/nag-d03.lisp
-	@ echo 136 making ${OUT}/nag-d03.${O} from ${MID}/nag-d03.lisp
+	@ echo si054 making ${OUT}/nag-d03.${O} from ${MID}/nag-d03.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-d03.lisp"' \
@@ -1205,29 +1205,29 @@ ${OUT}/nag-d03.${O}: ${MID}/nag-d03.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-d03.lisp"' \
              ':output-file "${OUT}/nag-d03.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-d03.lisp (MID from IN)>>=
 ${MID}/nag-d03.lisp: ${IN}/nag-d03.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-d03.lisp from ${IN}/nag-d03.lisp.pamphlet
+	@ echo si055 making ${MID}/nag-d03.lisp from ${IN}/nag-d03.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-d03.lisp.pamphlet" "*" "nag-d03.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-e01.lisp}
 <<nag-e01.o (AUTO from OUT)>>=
 ${AUTO}/nag-e01.${O}: ${OUT}/nag-e01.${O}
-	@ echo 154 making ${AUTO}/nag-e01.${O} from ${OUT}/nag-e01.${O}
+	@ echo si056 making ${AUTO}/nag-e01.${O} from ${OUT}/nag-e01.${O}
 	@ cp ${OUT}/nag-e01.${O} ${AUTO}
 
 @
 <<nag-e01.o (OUT from MID)>>=
 ${OUT}/nag-e01.${O}: ${MID}/nag-e01.lisp
-	@ echo 136 making ${OUT}/nag-e01.${O} from ${MID}/nag-e01.lisp
+	@ echo si057 making ${OUT}/nag-e01.${O} from ${MID}/nag-e01.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-e01.lisp"' \
@@ -1235,29 +1235,29 @@ ${OUT}/nag-e01.${O}: ${MID}/nag-e01.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-e01.lisp"' \
              ':output-file "${OUT}/nag-e01.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-e01.lisp (MID from IN)>>=
 ${MID}/nag-e01.lisp: ${IN}/nag-e01.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-e01.lisp from ${IN}/nag-e01.lisp.pamphlet
+	@ echo si058 making ${MID}/nag-e01.lisp from ${IN}/nag-e01.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-e01.lisp.pamphlet" "*" "nag-e01.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-e02.lisp}
 <<nag-e02.o (AUTO from OUT)>>=
 ${AUTO}/nag-e02.${O}: ${OUT}/nag-e02.${O}
-	@ echo 154 making ${AUTO}/nag-e02.${O} from ${OUT}/nag-e02.${O}
+	@ echo si059 making ${AUTO}/nag-e02.${O} from ${OUT}/nag-e02.${O}
 	@ cp ${OUT}/nag-e02.${O} ${AUTO}
 
 @
 <<nag-e02.o (OUT from MID)>>=
 ${OUT}/nag-e02.${O}: ${MID}/nag-e02.lisp
-	@ echo 136 making ${OUT}/nag-e02.${O} from ${MID}/nag-e02.lisp
+	@ echo si060 making ${OUT}/nag-e02.${O} from ${MID}/nag-e02.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-e02.lisp"' \
@@ -1265,29 +1265,29 @@ ${OUT}/nag-e02.${O}: ${MID}/nag-e02.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-e02.lisp"' \
              ':output-file "${OUT}/nag-e02.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-e02.lisp (MID from IN)>>=
 ${MID}/nag-e02.lisp: ${IN}/nag-e02.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-e02.lisp from ${IN}/nag-e02.lisp.pamphlet
+	@ echo si061 making ${MID}/nag-e02.lisp from ${IN}/nag-e02.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-e02.lisp.pamphlet" "*" "nag-e02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-e04.lisp}
 <<nag-e04.o (AUTO from OUT)>>=
 ${AUTO}/nag-e04.${O}: ${OUT}/nag-e04.${O}
-	@ echo 154 making ${AUTO}/nag-e04.${O} from ${OUT}/nag-e04.${O}
+	@ echo si062 making ${AUTO}/nag-e04.${O} from ${OUT}/nag-e04.${O}
 	@ cp ${OUT}/nag-e04.${O} ${AUTO}
 
 @
 <<nag-e04.o (OUT from MID)>>=
 ${OUT}/nag-e04.${O}: ${MID}/nag-e04.lisp
-	@ echo 136 making ${OUT}/nag-e04.${O} from ${MID}/nag-e04.lisp
+	@ echo si063 making ${OUT}/nag-e04.${O} from ${MID}/nag-e04.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-e04.lisp"' \
@@ -1295,29 +1295,29 @@ ${OUT}/nag-e04.${O}: ${MID}/nag-e04.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-e04.lisp"' \
              ':output-file "${OUT}/nag-e04.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-e04.lisp (MID from IN)>>=
 ${MID}/nag-e04.lisp: ${IN}/nag-e04.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-e04.lisp from ${IN}/nag-e04.lisp.pamphlet
+	@ echo si064 making ${MID}/nag-e04.lisp from ${IN}/nag-e04.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-e04.lisp.pamphlet" "*" "nag-e04.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-f01.lisp}
 <<nag-f01.o (AUTO from OUT)>>=
 ${AUTO}/nag-f01.${O}: ${OUT}/nag-f01.${O}
-	@ echo 154 making ${AUTO}/nag-f01.${O} from ${OUT}/nag-f01.${O}
+	@ echo si065 making ${AUTO}/nag-f01.${O} from ${OUT}/nag-f01.${O}
 	@ cp ${OUT}/nag-f01.${O} ${AUTO}
 
 @
 <<nag-f01.o (OUT from MID)>>=
 ${OUT}/nag-f01.${O}: ${MID}/nag-f01.lisp
-	@ echo 136 making ${OUT}/nag-f01.${O} from ${MID}/nag-f01.lisp
+	@ echo si066 making ${OUT}/nag-f01.${O} from ${MID}/nag-f01.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-f01.lisp"' \
@@ -1325,29 +1325,29 @@ ${OUT}/nag-f01.${O}: ${MID}/nag-f01.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-f01.lisp"' \
              ':output-file "${OUT}/nag-f01.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-f01.lisp (MID from IN)>>=
 ${MID}/nag-f01.lisp: ${IN}/nag-f01.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-f01.lisp from ${IN}/nag-f01.lisp.pamphlet
+	@ echo si067 making ${MID}/nag-f01.lisp from ${IN}/nag-f01.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-f01.lisp.pamphlet" "*" "nag-f01.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-f02.lisp}
 <<nag-f02.o (AUTO from OUT)>>=
 ${AUTO}/nag-f02.${O}: ${OUT}/nag-f02.${O}
-	@ echo 154 making ${AUTO}/nag-f02.${O} from ${OUT}/nag-f02.${O}
+	@ echo si068 making ${AUTO}/nag-f02.${O} from ${OUT}/nag-f02.${O}
 	@ cp ${OUT}/nag-f02.${O} ${AUTO}
 
 @
 <<nag-f02.o (OUT from MID)>>=
 ${OUT}/nag-f02.${O}: ${MID}/nag-f02.lisp
-	@ echo 136 making ${OUT}/nag-f02.${O} from ${MID}/nag-f02.lisp
+	@ echo si069 making ${OUT}/nag-f02.${O} from ${MID}/nag-f02.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-f02.lisp"' \
@@ -1355,29 +1355,29 @@ ${OUT}/nag-f02.${O}: ${MID}/nag-f02.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-f02.lisp"' \
              ':output-file "${OUT}/nag-f02.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-f02.lisp (MID from IN)>>=
 ${MID}/nag-f02.lisp: ${IN}/nag-f02.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-f02.lisp from ${IN}/nag-f02.lisp.pamphlet
+	@ echo si070 making ${MID}/nag-f02.lisp from ${IN}/nag-f02.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-f02.lisp.pamphlet" "*" "nag-f02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-f04.lisp}
 <<nag-f04.o (AUTO from OUT)>>=
 ${AUTO}/nag-f04.${O}: ${OUT}/nag-f04.${O}
-	@ echo 154 making ${AUTO}/nag-f04.${O} from ${OUT}/nag-f04.${O}
+	@ echo si071 making ${AUTO}/nag-f04.${O} from ${OUT}/nag-f04.${O}
 	@ cp ${OUT}/nag-f04.${O} ${AUTO}
 
 @
 <<nag-f04.o (OUT from MID)>>=
 ${OUT}/nag-f04.${O}: ${MID}/nag-f04.lisp
-	@ echo 136 making ${OUT}/nag-f04.${O} from ${MID}/nag-f04.lisp
+	@ echo si072 making ${OUT}/nag-f04.${O} from ${MID}/nag-f04.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-f04.lisp"' \
@@ -1385,29 +1385,29 @@ ${OUT}/nag-f04.${O}: ${MID}/nag-f04.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-f04.lisp"' \
              ':output-file "${OUT}/nag-f04.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-f04.lisp (MID from IN)>>=
 ${MID}/nag-f04.lisp: ${IN}/nag-f04.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-f04.lisp from ${IN}/nag-f04.lisp.pamphlet
+	@ echo si073 making ${MID}/nag-f04.lisp from ${IN}/nag-f04.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-f04.lisp.pamphlet" "*" "nag-f04.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-f07.lisp}
 <<nag-f07.o (AUTO from OUT)>>=
 ${AUTO}/nag-f07.${O}: ${OUT}/nag-f07.${O}
-	@ echo 154 making ${AUTO}/nag-f07.${O} from ${OUT}/nag-f07.${O}
+	@ echo si074 making ${AUTO}/nag-f07.${O} from ${OUT}/nag-f07.${O}
 	@ cp ${OUT}/nag-f07.${O} ${AUTO}
 
 @
 <<nag-f07.o (OUT from MID)>>=
 ${OUT}/nag-f07.${O}: ${MID}/nag-f07.lisp
-	@ echo 136 making ${OUT}/nag-f07.${O} from ${MID}/nag-f07.lisp
+	@ echo si075 making ${OUT}/nag-f07.${O} from ${MID}/nag-f07.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-f07.lisp"' \
@@ -1415,29 +1415,29 @@ ${OUT}/nag-f07.${O}: ${MID}/nag-f07.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-f07.lisp"' \
              ':output-file "${OUT}/nag-f07.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-f07.lisp (MID from IN)>>=
 ${MID}/nag-f07.lisp: ${IN}/nag-f07.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-f07.lisp from ${IN}/nag-f07.lisp.pamphlet
+	@ echo si076 making ${MID}/nag-f07.lisp from ${IN}/nag-f07.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-f07.lisp.pamphlet" "*" "nag-f07.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nag-s.lisp}
 <<nag-s.o (AUTO from OUT)>>=
 ${AUTO}/nag-s.${O}: ${OUT}/nag-s.${O}
-	@ echo 154 making ${AUTO}/nag-s.${O} from ${OUT}/nag-s.${O}
+	@ echo si077 making ${AUTO}/nag-s.${O} from ${OUT}/nag-s.${O}
 	@ cp ${OUT}/nag-s.${O} ${AUTO}
 
 @
 <<nag-s.o (OUT from MID)>>=
 ${OUT}/nag-s.${O}: ${MID}/nag-s.lisp
-	@ echo 136 making ${OUT}/nag-s.${O} from ${MID}/nag-s.lisp
+	@ echo si078 making ${OUT}/nag-s.${O} from ${MID}/nag-s.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nag-s.lisp"' \
@@ -1445,23 +1445,23 @@ ${OUT}/nag-s.${O}: ${MID}/nag-s.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nag-s.lisp"' \
              ':output-file "${OUT}/nag-s.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nag-s.lisp (MID from IN)>>=
 ${MID}/nag-s.lisp: ${IN}/nag-s.lisp.pamphlet
-	@ echo 137 making ${MID}/nag-s.lisp from ${IN}/nag-s.lisp.pamphlet
+	@ echo si079 making ${MID}/nag-s.lisp from ${IN}/nag-s.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nag-s.lisp.pamphlet" "*" "nag-s.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{category.lisp}
 <<category.o (OUT from MID)>>=
 ${OUT}/category.${O}: ${MID}/category.lisp
-	@ echo 136 making ${OUT}/category.${O} from ${MID}/category.lisp
+	@ echo si080 making ${OUT}/category.${O} from ${MID}/category.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/category.lisp"' \
@@ -1469,24 +1469,24 @@ ${OUT}/category.${O}: ${MID}/category.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/category.lisp"' \
              ':output-file "${OUT}/category.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<category.lisp (MID from IN)>>=
 ${MID}/category.lisp: ${IN}/category.lisp.pamphlet
-	@ echo 137 making ${MID}/category.lisp from \
+	@ echo si081 making ${MID}/category.lisp from \
            ${IN}/category.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/category.lisp.pamphlet" "*" "category.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{cattable.lisp}
 <<cattable.o (OUT from MID)>>=
 ${OUT}/cattable.${O}: ${MID}/cattable.lisp
-	@ echo 136 making ${OUT}/cattable.${O} from ${MID}/cattable.lisp
+	@ echo si082 making ${OUT}/cattable.${O} from ${MID}/cattable.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/cattable.lisp"' \
@@ -1494,24 +1494,24 @@ ${OUT}/cattable.${O}: ${MID}/cattable.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/cattable.lisp"' \
              ':output-file "${OUT}/cattable.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<cattable.lisp (MID from IN)>>=
 ${MID}/cattable.lisp: ${IN}/cattable.lisp.pamphlet
-	@ echo 137 making ${MID}/cattable.lisp from \
+	@ echo si083 making ${MID}/cattable.lisp from \
                    ${IN}/cattable.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/cattable.lisp.pamphlet" "*" "cattable.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{clam.lisp}
 <<clam.o (OUT from MID)>>=
 ${OUT}/clam.${O}: ${MID}/clam.lisp
-	@ echo 136 making ${OUT}/clam.${O} from ${MID}/clam.lisp
+	@ echo si084 making ${OUT}/clam.${O} from ${MID}/clam.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/clam.lisp"' \
@@ -1519,32 +1519,32 @@ ${OUT}/clam.${O}: ${MID}/clam.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/clam.lisp"' \
              ':output-file "${OUT}/clam.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<clam.lisp (MID from IN)>>=
 ${MID}/clam.lisp: ${IN}/clam.lisp.pamphlet
-	@ echo 137 making ${MID}/clam.lisp from ${IN}/clam.lisp.pamphlet
+	@ echo si085 making ${MID}/clam.lisp from ${IN}/clam.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/clam.lisp.pamphlet" "*" "clam.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 <<clam.lisp (OUT from IN)>>=
 ${OUT}/clam.lisp: ${IN}/clam.lisp.pamphlet
-	@ echo 221 making ${OUT}/clam.lisp from ${IN}/clam.lisp.pamphlet
+	@ echo si086 making ${OUT}/clam.lisp from ${IN}/clam.lisp.pamphlet
 	@ rm -f ${OUT}/clam.${O}
 	@( cd ${OUT} ; \
           echo '(tangle "${IN}/clam.lisp.pamphlet" "*" "clam.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{clammed.lisp}
 <<clammed.o (OUT from MID)>>=
 ${OUT}/clammed.${O}: ${MID}/clammed.lisp
-	@ echo 136 making ${OUT}/clammed.${O} from ${MID}/clammed.lisp
+	@ echo si087 making ${OUT}/clammed.${O} from ${MID}/clammed.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/clammed.lisp"' \
@@ -1552,23 +1552,23 @@ ${OUT}/clammed.${O}: ${MID}/clammed.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/clammed.lisp"' \
              ':output-file "${OUT}/clammed.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<clammed.lisp (MID from IN)>>=
 ${MID}/clammed.lisp: ${IN}/clammed.lisp.pamphlet
-	@ echo 137 making ${MID}/clammed.lisp from ${IN}/clammed.lisp.pamphlet
+	@ echo si088 making ${MID}/clammed.lisp from ${IN}/clammed.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/clammed.lisp.pamphlet" "*" "clammed.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{profile.lisp}
 <<profile.o (OUT from MID)>>=
 ${OUT}/profile.${O}: ${MID}/profile.lisp
-	@ echo 136 making ${OUT}/profile.${O} from ${MID}/profile.lisp
+	@ echo si089 making ${OUT}/profile.${O} from ${MID}/profile.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/profile.lisp"' \
@@ -1576,23 +1576,23 @@ ${OUT}/profile.${O}: ${MID}/profile.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/profile.lisp"' \
              ':output-file "${OUT}/profile.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<profile.lisp (MID from IN)>>=
 ${MID}/profile.lisp: ${IN}/profile.lisp.pamphlet
-	@ echo 137 making ${MID}/profile.lisp from ${IN}/profile.lisp.pamphlet
+	@ echo si090 making ${MID}/profile.lisp from ${IN}/profile.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/profile.lisp.pamphlet" "*" "profile.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{compress.lisp}
 <<compress.o (OUT from MID)>>=
 ${OUT}/compress.${O}: ${MID}/compress.lisp
-	@ echo 136 making ${OUT}/compress.${O} from ${MID}/compress.lisp
+	@ echo si091 making ${OUT}/compress.${O} from ${MID}/compress.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/compress.lisp"' \
@@ -1600,24 +1600,24 @@ ${OUT}/compress.${O}: ${MID}/compress.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/compress.lisp"' \
              ':output-file "${OUT}/compress.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<compress.lisp (MID from IN)>>=
 ${MID}/compress.lisp: ${IN}/compress.lisp.pamphlet
-	@ echo 137 making ${MID}/compress.lisp from \
+	@ echo si092 making ${MID}/compress.lisp from \
                    ${IN}/compress.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/compress.lisp.pamphlet" "*" "compress.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{format.lisp}
 <<format.o (OUT from MID)>>=
 ${OUT}/format.${O}: ${MID}/format.lisp
-	@ echo 136 making ${OUT}/format.${O} from ${MID}/format.lisp
+	@ echo si093 making ${OUT}/format.${O} from ${MID}/format.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/format.lisp"' \
@@ -1625,23 +1625,23 @@ ${OUT}/format.${O}: ${MID}/format.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/format.lisp"' \
              ':output-file "${OUT}/format.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<format.lisp (MID from IN)>>=
 ${MID}/format.lisp: ${IN}/format.lisp.pamphlet
-	@ echo 137 making ${MID}/format.lisp from ${IN}/format.lisp.pamphlet
+	@ echo si094 making ${MID}/format.lisp from ${IN}/format.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/format.lisp.pamphlet" "*" "format.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{functor.lisp}
 <<functor.o (OUT from MID)>>=
 ${OUT}/functor.${O}: ${MID}/functor.lisp
-	@ echo 136 making ${OUT}/functor.${O} from ${MID}/functor.lisp
+	@ echo si095 making ${OUT}/functor.${O} from ${MID}/functor.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/functor.lisp"' \
@@ -1649,23 +1649,23 @@ ${OUT}/functor.${O}: ${MID}/functor.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/functor.lisp"' \
              ':output-file "${OUT}/functor.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<functor.lisp (MID from IN)>>=
 ${MID}/functor.lisp: ${IN}/functor.lisp.pamphlet
-	@ echo 137 making ${MID}/functor.lisp from ${IN}/functor.lisp.pamphlet
+	@ echo si096 making ${MID}/functor.lisp from ${IN}/functor.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/functor.lisp.pamphlet" "*" "functor.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{g-boot.lisp}
 <<g-boot.o (OUT from MID)>>=
 ${OUT}/g-boot.${O}: ${MID}/g-boot.lisp
-	@ echo 136 making ${OUT}/g-boot.${O} from ${MID}/g-boot.lisp
+	@ echo si097 making ${OUT}/g-boot.${O} from ${MID}/g-boot.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/g-boot.lisp"' \
@@ -1673,32 +1673,32 @@ ${OUT}/g-boot.${O}: ${MID}/g-boot.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/g-boot.lisp"' \
              ':output-file "${OUT}/g-boot.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<g-boot.lisp (MID from IN)>>=
 ${MID}/g-boot.lisp: ${IN}/g-boot.lisp.pamphlet
-	@ echo 137 making ${MID}/g-boot.lisp from ${IN}/g-boot.lisp.pamphlet
+	@ echo si098 making ${MID}/g-boot.lisp from ${IN}/g-boot.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/g-boot.lisp.pamphlet" "*" "g-boot.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 <<g-boot.lisp (OUT from IN)>>=
 ${OUT}/g-boot.lisp: ${IN}/g-boot.lisp.pamphlet
-	@ echo 221 making ${OUT}/g-boot.lisp from ${IN}/g-boot.lisp.pamphlet
+	@ echo si099 making ${OUT}/g-boot.lisp from ${IN}/g-boot.lisp.pamphlet
 	@ rm -f ${OUT}/g-boot.${O}
 	@( cd ${OUT} ; \
           echo '(tangle "${IN}/g-boot.lisp.pamphlet" "*" "g-boot.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{g-cndata.lisp}
 <<g-cndata.o (OUT from MID)>>=
 ${OUT}/g-cndata.${O}: ${MID}/g-cndata.lisp
-	@ echo 136 making ${OUT}/g-cndata.${O} from ${MID}/g-cndata.lisp
+	@ echo si100 making ${OUT}/g-cndata.${O} from ${MID}/g-cndata.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/g-cndata.lisp"' \
@@ -1706,24 +1706,24 @@ ${OUT}/g-cndata.${O}: ${MID}/g-cndata.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/g-cndata.lisp"' \
              ':output-file "${OUT}/g-cndata.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<g-cndata.lisp (MID from IN)>>=
 ${MID}/g-cndata.lisp: ${IN}/g-cndata.lisp.pamphlet
-	@ echo 137 making ${MID}/g-cndata.lisp from \
+	@ echo si101 making ${MID}/g-cndata.lisp from \
            ${IN}/g-cndata.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/g-cndata.lisp.pamphlet" "*" "g-cndata.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{g-error.lisp}
 <<g-error.o (OUT from MID)>>=
 ${OUT}/g-error.${O}: ${MID}/g-error.lisp
-	@ echo 136 making ${OUT}/g-error.${O} from ${MID}/g-error.lisp
+	@ echo si102 making ${OUT}/g-error.${O} from ${MID}/g-error.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/g-error.lisp"' \
@@ -1731,23 +1731,23 @@ ${OUT}/g-error.${O}: ${MID}/g-error.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/g-error.lisp"' \
              ':output-file "${OUT}/g-error.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<g-error.lisp (MID from IN)>>=
 ${MID}/g-error.lisp: ${IN}/g-error.lisp.pamphlet
-	@ echo 137 making ${MID}/g-error.lisp from ${IN}/g-error.lisp.pamphlet
+	@ echo si103 making ${MID}/g-error.lisp from ${IN}/g-error.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/g-error.lisp.pamphlet" "*" "g-error.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{g-timer.lisp}
 <<g-timer.o (OUT from MID)>>=
 ${OUT}/g-timer.${O}: ${MID}/g-timer.lisp
-	@ echo 136 making ${OUT}/g-timer.${O} from ${MID}/g-timer.lisp
+	@ echo si104 making ${OUT}/g-timer.${O} from ${MID}/g-timer.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/g-timer.lisp"' \
@@ -1755,23 +1755,23 @@ ${OUT}/g-timer.${O}: ${MID}/g-timer.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/g-timer.lisp"' \
              ':output-file "${OUT}/g-timer.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<g-timer.lisp (MID from IN)>>=
 ${MID}/g-timer.lisp: ${IN}/g-timer.lisp.pamphlet
-	@ echo 137 making ${MID}/g-timer.lisp from ${IN}/g-timer.lisp.pamphlet
+	@ echo si105 making ${MID}/g-timer.lisp from ${IN}/g-timer.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/g-timer.lisp.pamphlet" "*" "g-timer.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{g-util.lisp}
 <<g-util.o (OUT from MID)>>=
 ${OUT}/g-util.${O}: ${MID}/g-util.lisp
-	@ echo 136 making ${OUT}/g-util.${O} from ${MID}/g-util.lisp
+	@ echo si106 making ${OUT}/g-util.${O} from ${MID}/g-util.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/g-util.lisp"' \
@@ -1779,32 +1779,32 @@ ${OUT}/g-util.${O}: ${MID}/g-util.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/g-util.lisp"' \
              ':output-file "${OUT}/g-util.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<g-util.lisp (MID from IN)>>=
 ${MID}/g-util.lisp: ${IN}/g-util.lisp.pamphlet
-	@ echo 137 making ${MID}/g-util.lisp from ${IN}/g-util.lisp.pamphlet
+	@ echo si107 making ${MID}/g-util.lisp from ${IN}/g-util.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/g-util.lisp.pamphlet" "*" "g-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 <<g-util.lisp (OUT from IN)>>=
 ${OUT}/g-util.lisp: ${IN}/g-util.lisp.pamphlet
-	@ echo 221 making ${OUT}/g-util.lisp from ${IN}/g-util.lisp.pamphlet
+	@ echo si108 making ${OUT}/g-util.lisp from ${IN}/g-util.lisp.pamphlet
 	@ rm -f ${OUT}/g-util.${O}
 	@( cd ${OUT} ; \
           echo '(tangle "${IN}/g-util.lisp.pamphlet" "*" "g-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{http.lisp}
 <<http.o (OUT from MID)>>=
 ${OUT}/http.${O}: ${MID}/http.lisp
-	@ echo 367 making ${OUT}/http.${O} from ${MID}/http.lisp
+	@ echo si109 making ${OUT}/http.${O} from ${MID}/http.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/http.lisp"' \
@@ -1812,13 +1812,13 @@ ${OUT}/http.${O}: ${MID}/http.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/http.lisp"' \
              ':output-file "${OUT}/http.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<http.lisp (MID from IN)>>=
 ${MID}/http.lisp: ${IN}/http.lisp
-	@ echo 368 making ${MID}/http.lisp from ${IN}/http.lisp
+	@ echo si110 making ${MID}/http.lisp from ${IN}/http.lisp
 	@( cp ${IN}/http.lisp ${MID}/http.lisp )
 
 @
@@ -1826,7 +1826,7 @@ ${MID}/http.lisp: ${IN}/http.lisp
 \subsection{i-analy.lisp}
 <<i-analy.o (OUT from MID)>>=
 ${OUT}/i-analy.${O}: ${MID}/i-analy.lisp
-	@ echo 136 making ${OUT}/i-analy.${O} from ${MID}/i-analy.lisp
+	@ echo si111 making ${OUT}/i-analy.${O} from ${MID}/i-analy.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-analy.lisp"' \
@@ -1834,23 +1834,23 @@ ${OUT}/i-analy.${O}: ${MID}/i-analy.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-analy.lisp"' \
              ':output-file "${OUT}/i-analy.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-analy.lisp (MID from IN)>>=
 ${MID}/i-analy.lisp: ${IN}/i-analy.lisp.pamphlet
-	@ echo 137 making ${MID}/i-analy.lisp from ${IN}/i-analy.lisp.pamphlet
+	@ echo si112 making ${MID}/i-analy.lisp from ${IN}/i-analy.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-analy.lisp.pamphlet" "*" "i-analy.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-code.lisp}
 <<i-code.o (OUT from MID)>>=
 ${OUT}/i-code.${O}: ${MID}/i-code.lisp
-	@ echo 136 making ${OUT}/i-code.${O} from ${MID}/i-code.lisp
+	@ echo si113 making ${OUT}/i-code.${O} from ${MID}/i-code.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-code.lisp"' \
@@ -1858,23 +1858,23 @@ ${OUT}/i-code.${O}: ${MID}/i-code.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-code.lisp"' \
              ':output-file "${OUT}/i-code.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-code.lisp (MID from IN)>>=
 ${MID}/i-code.lisp: ${IN}/i-code.lisp.pamphlet
-	@ echo 137 making ${MID}/i-code.lisp from ${IN}/i-code.lisp.pamphlet
+	@ echo si114 making ${MID}/i-code.lisp from ${IN}/i-code.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-code.lisp.pamphlet" "*" "i-code.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-coerce.lisp}
 <<i-coerce.o (OUT from MID)>>=
 ${OUT}/i-coerce.${O}: ${MID}/i-coerce.lisp
-	@ echo 136 making ${OUT}/i-coerce.${O} from ${MID}/i-coerce.lisp
+	@ echo si115 making ${OUT}/i-coerce.${O} from ${MID}/i-coerce.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-coerce.lisp"' \
@@ -1882,24 +1882,24 @@ ${OUT}/i-coerce.${O}: ${MID}/i-coerce.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-coerce.lisp"' \
              ':output-file "${OUT}/i-coerce.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-coerce.lisp (MID from IN)>>=
 ${MID}/i-coerce.lisp: ${IN}/i-coerce.lisp.pamphlet
-	@ echo 137 making ${MID}/i-coerce.lisp from \
+	@ echo si116 making ${MID}/i-coerce.lisp from \
           ${IN}/i-coerce.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-coerce.lisp.pamphlet" "*" "i-coerce.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-coerfn.lisp}
 <<i-coerfn.o (OUT from MID)>>=
 ${OUT}/i-coerfn.${O}: ${MID}/i-coerfn.lisp
-	@ echo 136 making ${OUT}/i-coerfn.${O} from ${MID}/i-coerfn.lisp
+	@ echo si117 making ${OUT}/i-coerfn.${O} from ${MID}/i-coerfn.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-coerfn.lisp"' \
@@ -1907,24 +1907,24 @@ ${OUT}/i-coerfn.${O}: ${MID}/i-coerfn.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-coerfn.lisp"' \
              ':output-file "${OUT}/i-coerfn.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-coerfn.lisp (MID from IN)>>=
 ${MID}/i-coerfn.lisp: ${IN}/i-coerfn.lisp.pamphlet
-	@ echo 137 making ${MID}/i-coerfn.lisp from \
+	@ echo si118 making ${MID}/i-coerfn.lisp from \
           ${IN}/i-coerfn.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-coerfn.lisp.pamphlet" "*" "i-coerfn.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-eval.lisp}
 <<i-eval.o (OUT from MID)>>=
 ${OUT}/i-eval.${O}: ${MID}/i-eval.lisp
-	@ echo 136 making ${OUT}/i-eval.${O} from ${MID}/i-eval.lisp
+	@ echo si119 making ${OUT}/i-eval.${O} from ${MID}/i-eval.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-eval.lisp"' \
@@ -1932,24 +1932,24 @@ ${OUT}/i-eval.${O}: ${MID}/i-eval.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-eval.lisp"' \
              ':output-file "${OUT}/i-eval.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-eval.lisp (MID from IN)>>=
 ${MID}/i-eval.lisp: ${IN}/i-eval.lisp.pamphlet
-	@ echo 137 making ${MID}/i-eval.lisp from \
+	@ echo si120 making ${MID}/i-eval.lisp from \
           ${IN}/i-eval.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-eval.lisp.pamphlet" "*" "i-eval.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-funsel.lisp}
 <<i-funsel.o (OUT from MID)>>=
 ${OUT}/i-funsel.${O}: ${MID}/i-funsel.lisp
-	@ echo 136 making ${OUT}/i-funsel.${O} from ${MID}/i-funsel.lisp
+	@ echo si121 making ${OUT}/i-funsel.${O} from ${MID}/i-funsel.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-funsel.lisp"' \
@@ -1957,24 +1957,24 @@ ${OUT}/i-funsel.${O}: ${MID}/i-funsel.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-funsel.lisp"' \
              ':output-file "${OUT}/i-funsel.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-funsel.lisp (MID from IN)>>=
 ${MID}/i-funsel.lisp: ${IN}/i-funsel.lisp.pamphlet
-	@ echo 137 making ${MID}/i-funsel.lisp from \
+	@ echo si122 making ${MID}/i-funsel.lisp from \
           ${IN}/i-funsel.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-funsel.lisp.pamphlet" "*" "i-funsel.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{bookvol5.lsp}
 <<bookvol5.o (OUT from MID)>>=
 ${OUT}/bookvol5.${O}: ${MID}/bookvol5.${LISP}
-	@ echo 297 making ${OUT}/bookvol5.${O} from ${MID}/bookvol5.${LISP}
+	@ echo si123 making ${OUT}/bookvol5.${O} from ${MID}/bookvol5.${LISP}
 	@ (cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/bookvol5.${LISP}"' \
@@ -1982,28 +1982,28 @@ ${OUT}/bookvol5.${O}: ${MID}/bookvol5.${LISP}
 	  else \
 	   echo '(progn  (compile-file "${MID}/bookvol5.${LISP}"' \
              ':output-file "${OUT}/bookvol5.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<bookvol5.lsp (OUT from MID)>>=
 ${OUT}/bookvol5.${LISP}: ${MID}/bookvol5.${LISP}
-	@ echo 133 making ${OUT}/bookvol5.${LISP} from ${MID}/bookvol5.${LISP}
+	@ echo si124 making ${OUT}/bookvol5.${LISP} from ${MID}/bookvol5.${LISP}
 	@cp ${MID}/bookvol5.${LISP} ${OUT}/bookvol5.${LISP}
 
 @
 <<bookvol5.lsp (MID from IN)>>=
 ${MID}/bookvol5.${LISP}: ${IN}/bookvol5.pamphlet
-	@ echo 298 making ${MID}/bookvol5.${LISP} from ${IN}/bookvol5.pamphlet
+	@ echo si125 making ${MID}/bookvol5.${LISP} from ${IN}/bookvol5.pamphlet
 	@ (cd ${MID} ; \
   echo '(tangle "${IN}/bookvol5.pamphlet" "Interpreter" "bookvol5.${LISP}")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 \subsection{bookvol9.lsp}
 <<bookvol9.o (OUT from MID)>>=
 ${OUT}/bookvol9.${O}: ${MID}/bookvol9.${LISP}
-	@ echo 297 making ${OUT}/bookvol9.${O} from ${MID}/bookvol9.${LISP}
+	@ echo si126 making ${OUT}/bookvol9.${O} from ${MID}/bookvol9.${LISP}
 	@ (cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/bookvol9.${LISP}"' \
@@ -2011,28 +2011,28 @@ ${OUT}/bookvol9.${O}: ${MID}/bookvol9.${LISP}
 	  else \
 	   echo '(progn  (compile-file "${MID}/bookvol9.${LISP}"' \
              ':output-file "${OUT}/bookvol9.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<bookvol9.lsp (OUT from MID)>>=
 ${OUT}/bookvol9.${LISP}: ${MID}/bookvol9.${LISP}
-	@ echo 133 making ${OUT}/bookvol9.${LISP} from ${MID}/bookvol9.${LISP}
+	@ echo si127 making ${OUT}/bookvol9.${LISP} from ${MID}/bookvol9.${LISP}
 	@cp ${MID}/bookvol9.${LISP} ${OUT}/bookvol9.${LISP}
 
 @
 <<bookvol9.lsp (MID from IN)>>=
 ${MID}/bookvol9.${LISP}: ${IN}/bookvol9.pamphlet
-	@ echo 298 making ${MID}/bookvol9.${LISP} from ${IN}/bookvol9.pamphlet
+	@ echo si128 making ${MID}/bookvol9.${LISP} from ${IN}/bookvol9.pamphlet
 	@ (cd ${MID} ; \
      echo '(tangle "${IN}/bookvol9.pamphlet" "Compiler" "bookvol9.${LISP}")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 \subsection{bookvol10.5.lsp}
 <<bookvol10.5.o (OUT from MID)>>=
 ${OUT}/bookvol10.5.${O}: ${MID}/bookvol10.5.${LISP}
-	@ echo 297 making ${OUT}/bookvol10.5.${O} from \
+	@ echo si129 making ${OUT}/bookvol10.5.${O} from \
            ${MID}/bookvol10.5.${LISP}
 	@ (cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
@@ -2042,28 +2042,29 @@ ${OUT}/bookvol10.5.${O}: ${MID}/bookvol10.5.${LISP}
 	  else \
 	   echo '(progn  (compile-file "${MID}/bookvol10.5.${LISP}"' \
              ':output-file "${OUT}/bookvol10.5.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<bookvol10.5.lsp (OUT from MID)>>=
 ${OUT}/bookvol10.5.${LISP}: ${MID}/bookvol10.5.${LISP}
-	@ echo 133 making ${OUT}/bookvol10.5.${LISP} from \
+	@ echo si130 making ${OUT}/bookvol10.5.${LISP} from \
             ${MID}/bookvol10.5.${LISP}
 	@cp ${MID}/bookvol10.5.${LISP} ${OUT}/bookvol10.5.${LISP}
 
 @
 <<bookvol10.5.lsp (MID from IN)>>=
 ${MID}/bookvol10.5.${LISP}: ${IN}/bookvol10.5.pamphlet
-	@ echo 298 making ${MID}/bookvol10.5.${LISP} from ${IN}/bookvol10.5.pamphlet
+	@ echo si131 making ${MID}/bookvol10.5.${LISP} from ${IN}/bookvol10.5.pamphlet
 	@ (cd ${MID} ; \
-echo '(tangle "${IN}/bookvol10.5.pamphlet" "Numerics" "bookvol10.5.${LISP}")' | ${LISPTANGLE} )
+        echo '(tangle "${IN}/bookvol10.5.pamphlet" "Numerics" "bookvol10.5.${LISP}")'\
+         | ${LISPTANGLE}  1>/dev/null 2>/dev/null)
 
 @
 \subsection{i-intern.lisp}
 <<i-intern.o (OUT from MID)>>=
 ${OUT}/i-intern.${O}: ${MID}/i-intern.lisp
-	@ echo 136 making ${OUT}/i-intern.${O} from ${MID}/i-intern.lisp
+	@ echo si132 making ${OUT}/i-intern.${O} from ${MID}/i-intern.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-intern.lisp"' \
@@ -2071,24 +2072,24 @@ ${OUT}/i-intern.${O}: ${MID}/i-intern.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-intern.lisp"' \
              ':output-file "${OUT}/i-intern.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-intern.lisp (MID from IN)>>=
 ${MID}/i-intern.lisp: ${IN}/i-intern.lisp.pamphlet
-	@ echo 137 making ${MID}/i-intern.lisp from \
+	@ echo si133 making ${MID}/i-intern.lisp from \
           ${IN}/i-intern.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-intern.lisp.pamphlet" "*" "i-intern.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-map.lisp}
 <<i-map.o (OUT from MID)>>=
 ${OUT}/i-map.${O}: ${MID}/i-map.lisp
-	@ echo 136 making ${OUT}/i-map.${O} from ${MID}/i-map.lisp
+	@ echo si134 making ${OUT}/i-map.${O} from ${MID}/i-map.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-map.lisp"' \
@@ -2096,24 +2097,24 @@ ${OUT}/i-map.${O}: ${MID}/i-map.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-map.lisp"' \
              ':output-file "${OUT}/i-map.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-map.lisp (MID from IN)>>=
 ${MID}/i-map.lisp: ${IN}/i-map.lisp.pamphlet
-	@ echo 137 making ${MID}/i-map.lisp from \
+	@ echo si135 making ${MID}/i-map.lisp from \
           ${IN}/i-map.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-map.lisp.pamphlet" "*" "i-map.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-output.lisp}
 <<i-output.o (OUT from MID)>>=
 ${OUT}/i-output.${O}: ${MID}/i-output.lisp
-	@ echo 136 making ${OUT}/i-output.${O} from ${MID}/i-output.lisp
+	@ echo si136 making ${OUT}/i-output.${O} from ${MID}/i-output.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-output.lisp"' \
@@ -2121,24 +2122,24 @@ ${OUT}/i-output.${O}: ${MID}/i-output.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-output.lisp"' \
              ':output-file "${OUT}/i-output.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-output.lisp (MID from IN)>>=
 ${MID}/i-output.lisp: ${IN}/i-output.lisp.pamphlet
-	@ echo 137 making ${MID}/i-output.lisp from \
+	@ echo si137 making ${MID}/i-output.lisp from \
           ${IN}/i-output.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-output.lisp.pamphlet" "*" "i-output.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-resolv.lisp}
 <<i-resolv.o (OUT from MID)>>=
 ${OUT}/i-resolv.${O}: ${MID}/i-resolv.lisp
-	@ echo 136 making ${OUT}/i-resolv.${O} from ${MID}/i-resolv.lisp
+	@ echo si138 making ${OUT}/i-resolv.${O} from ${MID}/i-resolv.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-resolv.lisp"' \
@@ -2146,24 +2147,24 @@ ${OUT}/i-resolv.${O}: ${MID}/i-resolv.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-resolv.lisp"' \
              ':output-file "${OUT}/i-resolv.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-resolv.lisp (MID from IN)>>=
 ${MID}/i-resolv.lisp: ${IN}/i-resolv.lisp.pamphlet
-	@ echo 137 making ${MID}/i-resolv.lisp from \
+	@ echo si139 making ${MID}/i-resolv.lisp from \
           ${IN}/i-resolv.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-resolv.lisp.pamphlet" "*" "i-resolv.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-spec1.lisp}
 <<i-spec1.o (OUT from MID)>>=
 ${OUT}/i-spec1.${O}: ${MID}/i-spec1.lisp
-	@ echo 136 making ${OUT}/i-spec1.${O} from ${MID}/i-spec1.lisp
+	@ echo si140 making ${OUT}/i-spec1.${O} from ${MID}/i-spec1.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-spec1.lisp"' \
@@ -2171,24 +2172,24 @@ ${OUT}/i-spec1.${O}: ${MID}/i-spec1.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-spec1.lisp"' \
              ':output-file "${OUT}/i-spec1.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-spec1.lisp (MID from IN)>>=
 ${MID}/i-spec1.lisp: ${IN}/i-spec1.lisp.pamphlet
-	@ echo 137 making ${MID}/i-spec1.lisp from \
+	@ echo si141 making ${MID}/i-spec1.lisp from \
           ${IN}/i-spec1.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-spec1.lisp.pamphlet" "*" "i-spec1.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-spec2.lisp}
 <<i-spec2.o (OUT from MID)>>=
 ${OUT}/i-spec2.${O}: ${MID}/i-spec2.lisp
-	@ echo 136 making ${OUT}/i-spec2.${O} from ${MID}/i-spec2.lisp
+	@ echo si142 making ${OUT}/i-spec2.${O} from ${MID}/i-spec2.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-spec2.lisp"' \
@@ -2196,24 +2197,24 @@ ${OUT}/i-spec2.${O}: ${MID}/i-spec2.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-spec2.lisp"' \
              ':output-file "${OUT}/i-spec2.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-spec2.lisp (MID from IN)>>=
 ${MID}/i-spec2.lisp: ${IN}/i-spec2.lisp.pamphlet
-	@ echo 137 making ${MID}/i-spec2.lisp from \
+	@ echo si143 making ${MID}/i-spec2.lisp from \
           ${IN}/i-spec2.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-spec2.lisp.pamphlet" "*" "i-spec2.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{i-util.lisp}
 <<i-util.o (OUT from MID)>>=
 ${OUT}/i-util.${O}: ${MID}/i-util.lisp
-	@ echo 136 making ${OUT}/i-util.${O} from ${MID}/i-util.lisp
+	@ echo si144 making ${OUT}/i-util.${O} from ${MID}/i-util.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/i-util.lisp"' \
@@ -2221,24 +2222,24 @@ ${OUT}/i-util.${O}: ${MID}/i-util.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/i-util.lisp"' \
              ':output-file "${OUT}/i-util.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<i-util.lisp (MID from IN)>>=
 ${MID}/i-util.lisp: ${IN}/i-util.lisp.pamphlet
-	@ echo 137 making ${MID}/i-util.lisp from \
+	@ echo si145 making ${MID}/i-util.lisp from \
           ${IN}/i-util.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/i-util.lisp.pamphlet" "*" "i-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{info.lisp}
 <<info.o (OUT from MID)>>=
 ${OUT}/info.${O}: ${MID}/info.lisp
-	@ echo 136 making ${OUT}/info.${O} from ${MID}/info.lisp
+	@ echo si146 making ${OUT}/info.${O} from ${MID}/info.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/info.lisp"' \
@@ -2246,23 +2247,23 @@ ${OUT}/info.${O}: ${MID}/info.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/info.lisp"' \
              ':output-file "${OUT}/info.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<info.lisp (MID from IN)>>=
 ${MID}/info.lisp: ${IN}/info.lisp.pamphlet
-	@ echo 137 making ${MID}/info.lisp from ${IN}/info.lisp.pamphlet
+	@ echo si147 making ${MID}/info.lisp from ${IN}/info.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/info.lisp.pamphlet" "*" "info.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{iterator.lisp}
 <<iterator.o (OUT from MID)>>=
 ${OUT}/iterator.${O}: ${MID}/iterator.lisp
-	@ echo 136 making ${OUT}/iterator.${O} from ${MID}/iterator.lisp
+	@ echo si148 making ${OUT}/iterator.${O} from ${MID}/iterator.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/iterator.lisp"' \
@@ -2270,24 +2271,24 @@ ${OUT}/iterator.${O}: ${MID}/iterator.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/iterator.lisp"' \
              ':output-file "${OUT}/iterator.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<iterator.lisp (MID from IN)>>=
 ${MID}/iterator.lisp: ${IN}/iterator.lisp.pamphlet
-	@ echo 137 making ${MID}/iterator.lisp from \
+	@ echo si149 making ${MID}/iterator.lisp from \
            ${IN}/iterator.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/iterator.lisp.pamphlet" "*" "iterator.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{lisplib.lisp}
 <<lisplib.o (OUT from MID)>>=
 ${OUT}/lisplib.${O}: ${MID}/lisplib.lisp
-	@ echo 136 making ${OUT}/lisplib.${O} from ${MID}/lisplib.lisp
+	@ echo si150 making ${OUT}/lisplib.${O} from ${MID}/lisplib.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/lisplib.lisp"' \
@@ -2295,23 +2296,23 @@ ${OUT}/lisplib.${O}: ${MID}/lisplib.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/lisplib.lisp"' \
              ':output-file "${OUT}/lisplib.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<lisplib.lisp (MID from IN)>>=
 ${MID}/lisplib.lisp: ${IN}/lisplib.lisp.pamphlet
-	@ echo 137 making ${MID}/lisplib.lisp from ${IN}/lisplib.lisp.pamphlet
+	@ echo si151 making ${MID}/lisplib.lisp from ${IN}/lisplib.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/lisplib.lisp.pamphlet" "*" "lisplib.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{match.lisp}
 <<match.o (OUT from MID)>>=
 ${OUT}/match.${O}: ${MID}/match.lisp
-	@ echo 136 making ${OUT}/match.${O} from ${MID}/match.lisp
+	@ echo si152 making ${OUT}/match.${O} from ${MID}/match.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/match.lisp"' \
@@ -2319,23 +2320,23 @@ ${OUT}/match.${O}: ${MID}/match.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/match.lisp"' \
              ':output-file "${OUT}/match.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<match.lisp (MID from IN)>>=
 ${MID}/match.lisp: ${IN}/match.lisp.pamphlet
-	@ echo 137 making ${MID}/match.lisp from ${IN}/match.lisp.pamphlet
+	@ echo si153 making ${MID}/match.lisp from ${IN}/match.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/match.lisp.pamphlet" "*" "match.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{msgdb.lisp}
 <<msgdb.o (OUT from MID)>>=
 ${OUT}/msgdb.${O}: ${MID}/msgdb.lisp
-	@ echo 136 making ${OUT}/msgdb.${O} from ${MID}/msgdb.lisp
+	@ echo si154 making ${OUT}/msgdb.${O} from ${MID}/msgdb.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/msgdb.lisp"' \
@@ -2343,23 +2344,23 @@ ${OUT}/msgdb.${O}: ${MID}/msgdb.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/msgdb.lisp"' \
              ':output-file "${OUT}/msgdb.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<msgdb.lisp (MID from IN)>>=
 ${MID}/msgdb.lisp: ${IN}/msgdb.lisp.pamphlet
-	@ echo 137 making ${MID}/msgdb.lisp from ${IN}/msgdb.lisp.pamphlet
+	@ echo si155 making ${MID}/msgdb.lisp from ${IN}/msgdb.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/msgdb.lisp.pamphlet" "*" "msgdb.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{newfort.lisp}
 <<newfort.o (OUT from MID)>>=
 ${OUT}/newfort.${O}: ${MID}/newfort.lisp
-	@ echo 136 making ${OUT}/newfort.${O} from ${MID}/newfort.lisp
+	@ echo si156 making ${OUT}/newfort.${O} from ${MID}/newfort.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/newfort.lisp"' \
@@ -2367,23 +2368,23 @@ ${OUT}/newfort.${O}: ${MID}/newfort.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/newfort.lisp"' \
              ':output-file "${OUT}/newfort.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<newfort.lisp (MID from IN)>>=
 ${MID}/newfort.lisp: ${IN}/newfort.lisp.pamphlet
-	@ echo 137 making ${MID}/newfort.lisp from ${IN}/newfort.lisp.pamphlet
+	@ echo si157 making ${MID}/newfort.lisp from ${IN}/newfort.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/newfort.lisp.pamphlet" "*" "newfort.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nruncomp.lisp}
 <<nruncomp.o (OUT from MID)>>=
 ${OUT}/nruncomp.${O}: ${MID}/nruncomp.lisp
-	@ echo 136 making ${OUT}/nruncomp.${O} from ${MID}/nruncomp.lisp
+	@ echo si158 making ${OUT}/nruncomp.${O} from ${MID}/nruncomp.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nruncomp.lisp"' \
@@ -2391,24 +2392,24 @@ ${OUT}/nruncomp.${O}: ${MID}/nruncomp.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nruncomp.lisp"' \
              ':output-file "${OUT}/nruncomp.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nruncomp.lisp (MID from IN)>>=
 ${MID}/nruncomp.lisp: ${IN}/nruncomp.lisp.pamphlet
-	@ echo 137 making ${MID}/nruncomp.lisp from \
+	@ echo si159 making ${MID}/nruncomp.lisp from \
            ${IN}/nruncomp.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nruncomp.lisp.pamphlet" "*" "nruncomp.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nrunfast.lisp}
 <<nrunfast.o (OUT from MID)>>=
 ${OUT}/nrunfast.${O}: ${MID}/nrunfast.lisp
-	@ echo 136 making ${OUT}/nrunfast.${O} from ${MID}/nrunfast.lisp
+	@ echo si160 making ${OUT}/nrunfast.${O} from ${MID}/nrunfast.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nrunfast.lisp"' \
@@ -2416,24 +2417,24 @@ ${OUT}/nrunfast.${O}: ${MID}/nrunfast.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nrunfast.lisp"' \
              ':output-file "${OUT}/nrunfast.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nrunfast.lisp (MID from IN)>>=
 ${MID}/nrunfast.lisp: ${IN}/nrunfast.lisp.pamphlet
-	@ echo 137 making ${MID}/nrunfast.lisp from \
+	@ echo si161 making ${MID}/nrunfast.lisp from \
            ${IN}/nrunfast.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nrunfast.lisp.pamphlet" "*" "nrunfast.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nrungo.lisp}
 <<nrungo.o (OUT from MID)>>=
 ${OUT}/nrungo.${O}: ${MID}/nrungo.lisp
-	@ echo 136 making ${OUT}/nrungo.${O} from ${MID}/nrungo.lisp
+	@ echo si162 making ${OUT}/nrungo.${O} from ${MID}/nrungo.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nrungo.lisp"' \
@@ -2441,23 +2442,23 @@ ${OUT}/nrungo.${O}: ${MID}/nrungo.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nrungo.lisp"' \
              ':output-file "${OUT}/nrungo.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nrungo.lisp (MID from IN)>>=
 ${MID}/nrungo.lisp: ${IN}/nrungo.lisp.pamphlet
-	@ echo 137 making ${MID}/nrungo.lisp from ${IN}/nrungo.lisp.pamphlet
+	@ echo si163 making ${MID}/nrungo.lisp from ${IN}/nrungo.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nrungo.lisp.pamphlet" "*" "nrungo.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{nrunopt.lisp}
 <<nrunopt.o (OUT from MID)>>=
 ${OUT}/nrunopt.${O}: ${MID}/nrunopt.lisp
-	@ echo 136 making ${OUT}/nrunopt.${O} from ${MID}/nrunopt.lisp
+	@ echo si164 making ${OUT}/nrunopt.${O} from ${MID}/nrunopt.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/nrunopt.lisp"' \
@@ -2465,48 +2466,48 @@ ${OUT}/nrunopt.${O}: ${MID}/nrunopt.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/nrunopt.lisp"' \
              ':output-file "${OUT}/nrunopt.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<nrunopt.lisp (MID from IN)>>=
 ${MID}/nrunopt.lisp: ${IN}/nrunopt.lisp.pamphlet
-	@ echo 137 making ${MID}/nrunopt.lisp from ${IN}/nrunopt.lisp.pamphlet
+	@ echo si165 making ${MID}/nrunopt.lisp from ${IN}/nrunopt.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/nrunopt.lisp.pamphlet" "*" "nrunopt.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{regress.lisp}
 <<regress.o (OUT from MID)>>=
-${OUT}/regress.${O}: ${MID}/regress.${LISP}
-	@ echo 367 making ${OUT}/regress.${O} from ${MID}/regress.${LISP}
+${OUT}/regress.${O}: ${MID}/regress.lisp
+	@ echo si166 making ${OUT}/regress.${O} from ${MID}/regress.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/regress.${LISP}"' \
+	   echo '(progn  (compile-file "${MID}/regress.lisp"' \
              ':output-file "${OUT}/regress.${O}") (${BYE}))' | ${DEPSYS} ; \
 	  else \
-	   echo '(progn  (compile-file "${MID}/regress.${LISP}"' \
+	   echo '(progn  (compile-file "${MID}/regress.lisp"' \
              ':output-file "${OUT}/regress.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<regress.lisp (MID from IN)>>=
 ${MID}/regress.${LISP}: ${IN}/regress.lisp.pamphlet
-	@ echo 368 making ${MID}/regress.${LISP} from \
+	@ echo si167 making ${MID}/regress.${LISP} from \
                           ${IN}/regress.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/regress.lisp.pamphlet" "*" "regress.${LISP}")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{rulesets.lisp}
 <<rulesets.o (OUT from MID)>>=
 ${OUT}/rulesets.${O}: ${MID}/rulesets.lisp
-	@ echo 136 making ${OUT}/rulesets.${O} from ${MID}/rulesets.lisp
+	@ echo si168 making ${OUT}/rulesets.${O} from ${MID}/rulesets.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/rulesets.lisp"' \
@@ -2514,24 +2515,24 @@ ${OUT}/rulesets.${O}: ${MID}/rulesets.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/rulesets.lisp"' \
              ':output-file "${OUT}/rulesets.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<rulesets.lisp (MID from IN)>>=
 ${MID}/rulesets.lisp: ${IN}/rulesets.lisp.pamphlet
-	@ echo 137 making ${MID}/rulesets.lisp from \
+	@ echo si169 making ${MID}/rulesets.lisp from \
            ${IN}/rulesets.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/rulesets.lisp.pamphlet" "*" "rulesets.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{server.lisp}
 <<server.o (OUT from MID)>>=
 ${OUT}/server.${O}: ${MID}/server.lisp
-	@ echo 136 making ${OUT}/server.${O} from ${MID}/server.lisp
+	@ echo si170 making ${OUT}/server.${O} from ${MID}/server.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/server.lisp"' \
@@ -2539,23 +2540,23 @@ ${OUT}/server.${O}: ${MID}/server.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/server.lisp"' \
              ':output-file "${OUT}/server.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<server.lisp (MID from IN)>>=
 ${MID}/server.lisp: ${IN}/server.lisp.pamphlet
-	@ echo 137 making ${MID}/server.lisp from ${IN}/server.lisp.pamphlet
+	@ echo si171 making ${MID}/server.lisp from ${IN}/server.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/server.lisp.pamphlet" "*" "server.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{simpbool.lisp}
 <<simpbool.o (OUT from MID)>>=
 ${OUT}/simpbool.${O}: ${MID}/simpbool.lisp
-	@ echo 136 making ${OUT}/simpbool.${O} from ${MID}/simpbool.lisp
+	@ echo si172 making ${OUT}/simpbool.${O} from ${MID}/simpbool.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/simpbool.lisp"' \
@@ -2563,48 +2564,48 @@ ${OUT}/simpbool.${O}: ${MID}/simpbool.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/simpbool.lisp"' \
              ':output-file "${OUT}/simpbool.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<simpbool.lisp (MID from IN)>>=
 ${MID}/simpbool.lisp: ${IN}/simpbool.lisp.pamphlet
-	@ echo 137 making ${MID}/simpbool.lisp from \
+	@ echo si173 making ${MID}/simpbool.lisp from \
            ${IN}/simpbool.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/simpbool.lisp.pamphlet" "*" "simpbool.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{slam.lisp \cite{30}}
 <<slam.lisp (AUTO from OUT)>>=
 ${AUTO}/slam.lisp: ${OUT}/slam.lisp
-	@ echo 102 making ${AUTO}/slam.lisp from ${OUT}/slam.lisp
+	@ echo si174 making ${AUTO}/slam.lisp from ${OUT}/slam.lisp
 	@ cp ${OUT}/slam.lisp ${AUTO}
 
 @
 <<slam.lisp (OUT from MID)>>=
 ${OUT}/slam.lisp: ${MID}/slam.lisp
-	@ echo 103 making ${OUT}/slam.lisp from ${MID}/slam.lisp
+	@ echo si175 making ${OUT}/slam.lisp from ${MID}/slam.lisp
 	@ rm -f ${OUT}/slam.${O}
 	@ cp ${MID}/slam.lisp ${OUT}/slam.lisp
 
 @
 <<slam.lisp (MID from IN)>>=
 ${MID}/slam.lisp: ${IN}/slam.lisp.pamphlet
-	@ echo 104 making ${MID}/slam.lisp \
+	@ echo si176 making ${MID}/slam.lisp \
                    from ${IN}/slam.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/slam.lisp.pamphlet" "*" "slam.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{template.lisp}
 <<template.o (OUT from MID)>>=
 ${OUT}/template.${O}: ${MID}/template.lisp
-	@ echo 136 making ${OUT}/template.${O} from ${MID}/template.lisp
+	@ echo si177 making ${OUT}/template.${O} from ${MID}/template.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/template.lisp"' \
@@ -2612,24 +2613,24 @@ ${OUT}/template.${O}: ${MID}/template.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/template.lisp"' \
              ':output-file "${OUT}/template.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<template.lisp (MID from IN)>>=
 ${MID}/template.lisp: ${IN}/template.lisp.pamphlet
-	@ echo 137 making ${MID}/template.lisp from \
+	@ echo si178 making ${MID}/template.lisp from \
            ${IN}/template.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/template.lisp.pamphlet" "*" "template.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{termrw.lisp}
 <<termrw.o (OUT from MID)>>=
 ${OUT}/termrw.${O}: ${MID}/termrw.lisp
-	@ echo 136 making ${OUT}/termrw.${O} from ${MID}/termrw.lisp
+	@ echo si179 making ${OUT}/termrw.${O} from ${MID}/termrw.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/termrw.lisp"' \
@@ -2637,23 +2638,23 @@ ${OUT}/termrw.${O}: ${MID}/termrw.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/termrw.lisp"' \
              ':output-file "${OUT}/termrw.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<termrw.lisp (MID from IN)>>=
 ${MID}/termrw.lisp: ${IN}/termrw.lisp.pamphlet
-	@ echo 137 making ${MID}/termrw.lisp from ${IN}/termrw.lisp.pamphlet
+	@ echo si180 making ${MID}/termrw.lisp from ${IN}/termrw.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/termrw.lisp.pamphlet" "*" "termrw.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{record.lisp}
 <<record.o (OUT from MID)>>=
 ${OUT}/record.${O}: ${MID}/record.lisp
-	@ echo 136 making ${OUT}/record.${O} from ${MID}/record.lisp
+	@ echo si181 making ${OUT}/record.${O} from ${MID}/record.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/record.lisp"' \
@@ -2661,23 +2662,23 @@ ${OUT}/record.${O}: ${MID}/record.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/record.lisp"' \
              ':output-file "${OUT}/record.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<record.lisp (MID from IN)>>=
 ${MID}/record.lisp: ${IN}/record.lisp.pamphlet
-	@ echo 137 making ${MID}/record.lisp from ${IN}/record.lisp.pamphlet
+	@ echo si182 making ${MID}/record.lisp from ${IN}/record.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/record.lisp.pamphlet" "*" "record.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{htcheck.lisp}
 <<htcheck.o (OUT from MID)>>=
 ${OUT}/htcheck.${O}: ${MID}/htcheck.lisp
-	@ echo 136 making ${OUT}/htcheck.${O} from ${MID}/htcheck.lisp
+	@ echo si183 making ${OUT}/htcheck.${O} from ${MID}/htcheck.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/htcheck.lisp"' \
@@ -2685,29 +2686,29 @@ ${OUT}/htcheck.${O}: ${MID}/htcheck.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/htcheck.lisp"' \
              ':output-file "${OUT}/htcheck.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<htcheck.lisp (MID from IN)>>=
 ${MID}/htcheck.lisp: ${IN}/htcheck.lisp.pamphlet
-	@ echo 137 making ${MID}/htcheck.lisp from ${IN}/htcheck.lisp.pamphlet
+	@ echo si184 making ${MID}/htcheck.lisp from ${IN}/htcheck.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/htcheck.lisp.pamphlet" "*" "htcheck.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{br-con.lisp}
 <<br-con.o (AUTO from OUT)>>=
 ${AUTO}/br-con.${O}: ${OUT}/br-con.${O}
-	@ echo 465 making ${AUTO}/br-con.${O} from ${OUT}/br-con.${O}
+	@ echo si185 making ${AUTO}/br-con.${O} from ${OUT}/br-con.${O}
 	@ cp ${OUT}/br-con.${O} ${AUTO}
 
 @
 <<br-con.o (OUT from MID)>>=
 ${OUT}/br-con.${O}: ${MID}/br-con.lisp
-	@ echo 136 making ${OUT}/br-con.${O} from ${MID}/br-con.lisp
+	@ echo si186 making ${OUT}/br-con.${O} from ${MID}/br-con.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/br-con.lisp"' \
@@ -2715,29 +2716,29 @@ ${OUT}/br-con.${O}: ${MID}/br-con.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/br-con.lisp"' \
              ':output-file "${OUT}/br-con.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<br-con.lisp (MID from IN)>>=
 ${MID}/br-con.lisp: ${IN}/br-con.lisp.pamphlet
-	@ echo 137 making ${MID}/br-con.lisp from ${IN}/br-con.lisp.pamphlet
+	@ echo si187 making ${MID}/br-con.lisp from ${IN}/br-con.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/br-con.lisp.pamphlet" "*" "br-con.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{topics.lisp}
 <<topics.o (AUTO from OUT)>>=
 ${AUTO}/topics.${O}: ${OUT}/topics.${O}
-	@ echo 465 making ${AUTO}/topics.${O} from ${OUT}/topics.${O}
+	@ echo si188 making ${AUTO}/topics.${O} from ${OUT}/topics.${O}
 	@ cp ${OUT}/topics.${O} ${AUTO}
 
 @
 <<topics.o (OUT from MID)>>=
 ${OUT}/topics.${O}: ${MID}/topics.lisp
-	@ echo 136 making ${OUT}/topics.${O} from ${MID}/topics.lisp
+	@ echo si189 making ${OUT}/topics.${O} from ${MID}/topics.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/topics.lisp"' \
@@ -2745,23 +2746,23 @@ ${OUT}/topics.${O}: ${MID}/topics.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/topics.lisp"' \
              ':output-file "${OUT}/topics.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<topics.lisp (MID from IN)>>=
 ${MID}/topics.lisp: ${IN}/topics.lisp.pamphlet
-	@ echo 137 making ${MID}/topics.lisp from ${IN}/topics.lisp.pamphlet
+	@ echo si190 making ${MID}/topics.lisp from ${IN}/topics.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/topics.lisp.pamphlet" "*" "topics.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{posit.lisp}
 <<posit.o (OUT from MID)>>=
 ${OUT}/posit.${O}: ${MID}/posit.lisp
-	@ echo 136 making ${OUT}/posit.${O} from ${MID}/posit.lisp
+	@ echo si191 making ${OUT}/posit.${O} from ${MID}/posit.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/posit.lisp"' \
@@ -2769,47 +2770,47 @@ ${OUT}/posit.${O}: ${MID}/posit.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/posit.lisp"' \
              ':output-file "${OUT}/posit.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<posit.lisp (MID from IN)>>=
 ${MID}/posit.lisp: ${IN}/posit.lisp.pamphlet
-	@ echo 137 making ${MID}/posit.lisp from ${IN}/posit.lisp.pamphlet
+	@ echo si192 making ${MID}/posit.lisp from ${IN}/posit.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/posit.lisp.pamphlet" "*" "posit.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{sfsfun-l.lisp}
 <<sfsfun-l.o (OUT from MID)>>=
 ${OUT}/sfsfun-l.${O}: ${MID}/sfsfun-l.lisp
-	@ echo 561 making ${OUT}/sfsfun-l.${O} from ${MID}/sfsfun-l.lisp
+	@ echo si193 making ${OUT}/sfsfun-l.${O} from ${MID}/sfsfun-l.lisp
 	@ if [ -z "${NOISE}" ] ; then \
 	   echo '(progn (compile-file "${MID}/sfsfun-l.lisp"' \
              ':output-file "${OUT}/sfsfun-l.${O}") (${BYE}))' | ${DEPSYS} ; \
 	  else \
 	   echo '(progn (compile-file "${MID}/sfsfun-l.lisp"' \
              ':output-file "${OUT}/sfsfun-l.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi
 
 @
 <<sfsfun-l.lisp (MID from IN)>>=
 ${MID}/sfsfun-l.lisp: ${IN}/sfsfun-l.lisp.pamphlet
-	@ echo 562 making ${MID}/sfsfun-l.lisp \
+	@ echo si194 making ${MID}/sfsfun-l.lisp \
                    from ${IN}/sfsfun-l.lisp.pamphlet
 	@(cd ${MID} ; \
           echo '(tangle "${IN}/sfsfun-l.lisp.pamphlet" "*" "sfsfun-l.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{sfsfun.lisp}
 <<sfsfun.o (OUT from MID)>>=
 ${OUT}/sfsfun.${O}: ${MID}/sfsfun.lisp
-	@ echo 136 making ${OUT}/sfsfun.${O} from ${MID}/sfsfun.lisp
+	@ echo si195 making ${OUT}/sfsfun.${O} from ${MID}/sfsfun.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/sfsfun.lisp"' \
@@ -2817,23 +2818,23 @@ ${OUT}/sfsfun.${O}: ${MID}/sfsfun.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/sfsfun.lisp"' \
              ':output-file "${OUT}/sfsfun.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<sfsfun.lisp (MID from IN)>>=
 ${MID}/sfsfun.lisp: ${IN}/sfsfun.lisp.pamphlet
-	@ echo 137 making ${MID}/sfsfun.lisp from ${IN}/sfsfun.lisp.pamphlet
+	@ echo si196 making ${MID}/sfsfun.lisp from ${IN}/sfsfun.lisp.pamphlet
 	@(cd ${MID} ; \
           echo '(tangle "${IN}/sfsfun.lisp.pamphlet" "*" "sfsfun.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{hashcode.lisp}
 <<hashcode.o (OUT from MID)>>=
 ${OUT}/hashcode.${O}: ${MID}/hashcode.lisp
-	@ echo 136 making ${OUT}/hashcode.${O} from ${MID}/hashcode.lisp
+	@ echo si197 making ${OUT}/hashcode.${O} from ${MID}/hashcode.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/hashcode.lisp"' \
@@ -2841,24 +2842,24 @@ ${OUT}/hashcode.${O}: ${MID}/hashcode.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/hashcode.lisp"' \
              ':output-file "${OUT}/hashcode.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<hashcode.lisp (MID from IN)>>=
 ${MID}/hashcode.lisp: ${IN}/hashcode.lisp.pamphlet
-	@ echo 137 making ${MID}/hashcode.lisp from \
+	@ echo si198 making ${MID}/hashcode.lisp from \
            ${IN}/hashcode.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/hashcode.lisp.pamphlet" "*" "hashcode.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
 \subsection{interop.lisp}
 <<interop.o (OUT from MID)>>=
 ${OUT}/interop.${O}: ${MID}/interop.lisp
-	@ echo 136 making ${OUT}/interop.${O} from ${MID}/interop.lisp
+	@ echo si199 making ${OUT}/interop.${O} from ${MID}/interop.lisp
 	@ ( cd ${MID} ; \
 	  if [ -z "${NOISE}" ] ; then \
 	   echo '(progn  (compile-file "${MID}/interop.lisp"' \
@@ -2866,16 +2867,16 @@ ${OUT}/interop.${O}: ${MID}/interop.lisp
 	  else \
 	   echo '(progn  (compile-file "${MID}/interop.lisp"' \
              ':output-file "${OUT}/interop.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
+              1>/dev/null 2>/dev/null ; \
 	  fi )
 
 @
 <<interop.lisp (MID from IN)>>=
 ${MID}/interop.lisp: ${IN}/interop.lisp.pamphlet
-	@ echo 137 making ${MID}/interop.lisp from ${IN}/interop.lisp.pamphlet
+	@ echo si200 making ${MID}/interop.lisp from ${IN}/interop.lisp.pamphlet
 	@ (cd ${MID} ; \
           echo '(tangle "${IN}/interop.lisp.pamphlet" "*" "interop.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp )
+        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
@@ -2916,9 +2917,14 @@ ${OUT}/database.date:
 
 <<environment>>
 
-all: ${SAVESYS} # ${DEBUGSYS} 
+all: announce ${SAVESYS} # ${DEBUGSYS} 
 	@echo 618 finished ${IN}
 
+announce:
+	@ echo =====================================
+	@ echo src/interp BUILDING INTERPRETER FILES
+	@ echo =====================================
+
 clean:
 	@echo 619 cleaning ${SRC}/interp
 
@@ -2929,91 +2935,65 @@ clean:
 
 <<br-con.o (AUTO from OUT)>>
 <<br-con.o (OUT from MID)>>
-<<br-con.lisp (MID from IN)>>
 
 <<buildom.o (OUT from MID)>>
-<<buildom.lisp (MID from IN)>>
 
 <<category.o (OUT from MID)>>
-<<category.lisp (MID from IN)>>
 
 <<cattable.o (OUT from MID)>>
-<<cattable.lisp (MID from IN)>>
 
 <<cfuns.o (OUT from MID)>>
-<<cfuns.lisp (MID from IN)>>
 
 <<clam.lisp (OUT from IN)>>
 <<clam.o (OUT from MID)>>
-<<clam.lisp (MID from IN)>>
 
 <<clammed.o (OUT from MID)>>
-<<clammed.lisp (MID from IN)>>
 
 <<compress.o (OUT from MID)>>
-<<compress.lisp (MID from IN)>>
 
 <<c-util.lisp (OUT from IN)>>
 <<c-util.o (OUT from MID)>>
-<<c-util.lisp (MID from IN)>>
 
 <<debugsys.lisp (MID from IN)>>
 
 <<format.o (OUT from MID)>>
-<<format.lisp (MID from IN)>>
 
 <<fortcall.o (OUT from MID)>>
-<<fortcall.lisp (MID from IN)>>
 
 <<functor.o (OUT from MID)>>
-<<functor.lisp (MID from IN)>>
 
 <<g-boot.lisp (OUT from IN)>>
 <<g-boot.o (OUT from MID)>>
-<<g-boot.lisp (MID from IN)>>
 
 <<g-cndata.o (OUT from MID)>>
-<<g-cndata.lisp (MID from IN)>>
 
 <<g-error.o (OUT from MID)>>
-<<g-error.lisp (MID from IN)>>
 
 <<g-timer.o (OUT from MID)>>
-<<g-timer.lisp (MID from IN)>>
 
 <<g-util.lisp (OUT from IN)>>
 <<g-util.o (OUT from MID)>>
-<<g-util.lisp (MID from IN)>>
 
 <<http.o (OUT from MID)>>
 <<http.lisp (MID from IN)>>
 
 <<hashcode.o (OUT from MID)>>
-<<hashcode.lisp (MID from IN)>>
 
 <<htcheck.o (OUT from MID)>>
-<<htcheck.lisp (MID from IN)>>
 
 <<hypertex.o (OUT from MID)>>
-<<hypertex.lisp (MID from IN)>>
 
 <<i-analy.o (OUT from MID)>>
-<<i-analy.lisp (MID from IN)>>
 
 <<i-code.o (OUT from MID)>>
-<<i-code.lisp (MID from IN)>>
 
 <<i-coerce.o (OUT from MID)>>
-<<i-coerce.lisp (MID from IN)>>
 
 <<i-coerfn.o (OUT from MID)>>
-<<i-coerfn.lisp (MID from IN)>>
 
 <<i-eval.o (OUT from MID)>>
-<<i-eval.lisp (MID from IN)>>
 
 <<i-funsel.o (OUT from MID)>>
-<<i-funsel.lisp (MID from IN)>>
 
 <<bookvol5.o (OUT from MID)>>
 <<bookvol5.lsp (OUT from MID)>>
@@ -3028,179 +3008,127 @@ clean:
 <<bookvol10.5.lsp (MID from IN)>>
 
 <<i-intern.o (OUT from MID)>>
-<<i-intern.lisp (MID from IN)>>
 
 <<interop.o (OUT from MID)>>
-<<interop.lisp (MID from IN)>>
 
 <<i-map.o (OUT from MID)>>
-<<i-map.lisp (MID from IN)>>
 
 <<info.o (OUT from MID)>>
-<<info.lisp (MID from IN)>>
 
 <<i-output.o (OUT from MID)>>
-<<i-output.lisp (MID from IN)>>
 
 <<i-resolv.o (OUT from MID)>>
-<<i-resolv.lisp (MID from IN)>>
 
 <<i-spec1.o (OUT from MID)>>
-<<i-spec1.lisp (MID from IN)>>
 
 <<i-spec2.o (OUT from MID)>>
-<<i-spec2.lisp (MID from IN)>>
 
 <<iterator.o (OUT from MID)>>
-<<iterator.lisp (MID from IN)>>
 
 <<i-util.o (OUT from MID)>>
-<<i-util.lisp (MID from IN)>>
 
 <<lisplib.o (OUT from MID)>>
-<<lisplib.lisp (MID from IN)>>
 
 <<match.o (OUT from MID)>>
-<<match.lisp (MID from IN)>>
 
 <<msgdb.o (OUT from MID)>>
-<<msgdb.lisp (MID from IN)>>
 
 <<nag-c02.o (AUTO from OUT)>>
 <<nag-c02.o (OUT from MID)>>
-<<nag-c02.lisp (MID from IN)>>
 
 <<nag-c05.o (AUTO from OUT)>>
 <<nag-c05.o (OUT from MID)>>
-<<nag-c05.lisp (MID from IN)>>
 
 <<nag-c06.o (AUTO from OUT)>>
 <<nag-c06.o (OUT from MID)>>
-<<nag-c06.lisp (MID from IN)>>
 
 <<nag-d01.o (AUTO from OUT)>>
 <<nag-d01.o (OUT from MID)>>
-<<nag-d01.lisp (MID from IN)>>
 
 <<nag-d02.o (AUTO from OUT)>>
 <<nag-d02.o (OUT from MID)>>
-<<nag-d02.lisp (MID from IN)>>
 
 <<nag-d03.o (AUTO from OUT)>>
 <<nag-d03.o (OUT from MID)>>
-<<nag-d03.lisp (MID from IN)>>
 
 <<nag-e01.o (AUTO from OUT)>>
 <<nag-e01.o (OUT from MID)>>
-<<nag-e01.lisp (MID from IN)>>
 
 <<nag-e02.o (AUTO from OUT)>>
 <<nag-e02.o (OUT from MID)>>
-<<nag-e02.lisp (MID from IN)>>
 
 <<nag-e04.o (AUTO from OUT)>>
 <<nag-e04.o (OUT from MID)>>
-<<nag-e04.lisp (MID from IN)>>
 
 <<nag-f01.o (AUTO from OUT)>>
 <<nag-f01.o (OUT from MID)>>
-<<nag-f01.lisp (MID from IN)>>
 
 <<nag-f02.o (AUTO from OUT)>>
 <<nag-f02.o (OUT from MID)>>
-<<nag-f02.lisp (MID from IN)>>
 
 <<nag-f04.o (AUTO from OUT)>>
 <<nag-f04.o (OUT from MID)>>
-<<nag-f04.lisp (MID from IN)>>
 
 <<nag-f07.o (AUTO from OUT)>>
 <<nag-f07.o (OUT from MID)>>
-<<nag-f07.lisp (MID from IN)>>
 
 <<nag-s.o (AUTO from OUT)>>
 <<nag-s.o (OUT from MID)>>
-<<nag-s.lisp (MID from IN)>>
 
 <<newfort.o (OUT from MID)>>
-<<newfort.lisp (MID from IN)>>
 
 <<nocompil.lisp (OUT from MID)>>
-<<nocompil.lisp (MID from IN)>>
 
 <<nruncomp.o (OUT from MID)>>
-<<nruncomp.lisp (MID from IN)>>
 
 <<nrunfast.o (OUT from MID)>>
-<<nrunfast.lisp (MID from IN)>>
 
 <<nrungo.o (OUT from MID)>>
-<<nrungo.lisp (MID from IN)>>
 
 <<nrunopt.o (OUT from MID)>>
-<<nrunopt.lisp (MID from IN)>>
 
 <<parsing.o (AUTO from OUT)>>
 <<parsing.o (OUT from MID)>>
 <<parsing.lisp (OUT from MID)>>
-<<parsing.lisp (MID from IN)>>
 
 <<patches.o (OUT from MID)>>
-<<patches.lisp (MID from IN)>>
 
 <<posit.o (OUT from MID)>>
-<<posit.lisp (MID from IN)>>
 
 <<profile.o (OUT from MID)>>
-<<profile.lisp (MID from IN)>>
 
 <<record.o (OUT from MID)>>
-<<record.lisp (MID from IN)>>
 
 <<regress.o (OUT from MID)>>
-<<regress.lisp (MID from IN)>>
 
 <<rulesets.o (OUT from MID)>>
-<<rulesets.lisp (MID from IN)>>
 
 <<server.o (OUT from MID)>>
-<<server.lisp (MID from IN)>>
 
 <<sfsfun.o (OUT from MID)>>
-<<sfsfun.lisp (MID from IN)>>
 
 <<sfsfun-l.o (OUT from MID)>>
-<<sfsfun-l.lisp (MID from IN)>>
 
 <<simpbool.o (OUT from MID)>>
-<<simpbool.lisp (MID from IN)>>
 
 <<slam.lisp (AUTO from OUT)>>
 <<slam.lisp (OUT from MID)>>
-<<slam.lisp (MID from IN)>>
 
 <<sockio.o (OUT from MID)>>
-<<sockio.lisp (MID from IN)>>
 
 <<sys-pkg.lisp (OUT from MID)>>
-<<sys-pkg.lisp (MID from IN)>>
 
 <<template.o (OUT from MID)>>
-<<template.lisp (MID from IN)>>
 
 <<termrw.o (OUT from MID)>>
-<<termrw.lisp (MID from IN)>>
 
 <<topics.o (AUTO from OUT)>>
 <<topics.o (OUT from MID)>>
-<<topics.lisp (MID from IN)>>
 
 <<util.o (OUT from MID)>>
 <<util.lisp (OUT from MID)>>
-<<util.lisp (MID from IN)>>
 
 <<vmlisp.o (OUT from MID)>>
-<<vmlisp.lisp (MID from IN)>>
 
 <<warm.data.stanza>>
 
@@ -3213,12 +3141,14 @@ clean:
 #	   else \
 #	    echo '(progn  (compile-file "vmlisp.lisp"' \
 #             ':output-file "${OUT}/$I.o") (${BYE}))' | ${DEPSYS} \
-#             >${TMP}/trace ; \
+#              1>/dev/null 2>/dev/null ; \
 #	   fi )
 #
-#${MID}/%.lisp: ${IN}/%.lisp.pamphlet
-#	@ echo 137 making ${MID}/$*.lisp from ${IN}/$*.lisp.pamphlet
-#	@ (cd ${MID} ; ${TANGLE} ${IN}/$*.lisp.pamphlet >$*.lisp )
+${MID}/%.lisp: ${IN}/%.lisp.pamphlet
+	@ echo siMIDfromIN making ${MID}/$*.lisp from ${IN}/$*.lisp.pamphlet
+	@ (cd ${MID} ; \
+          ( echo '(tangle "${IN}/$*.lisp.pamphlet" "*" "$*.lisp")' \
+          | ${OBJ}/${SYS}/bin/lisp 1>/dev/null ) )
 
 @
 \eject
diff --git a/src/lib/Makefile.pamphlet b/src/lib/Makefile.pamphlet
index a799877..772bb8e 100644
--- a/src/lib/Makefile.pamphlet
+++ b/src/lib/Makefile.pamphlet
@@ -40,16 +40,16 @@ DOCFILES=\
 
 <<bsdsignal>>=
 ${MID}/bsdsignal.c: ${IN}/bsdsignal.c.pamphlet
-	@echo 1 making ${MID}/bsdsignal.c from ${IN}/bsdsignal.c.pamphlet
+	@echo sl01 making ${MID}/bsdsignal.c from ${IN}/bsdsignal.c.pamphlet
 	@${TANGLE} bsdsignal.c.pamphlet >${MID}/bsdsignal.c
 
 ${OUT}/bsdsignal.o: ${MID}/bsdsignal.c
-	@echo 2 making ${OUT}/bsdsignal.o from ${MID}/bsdsignal.c
+	@echo sl02 making ${OUT}/bsdsignal.o from ${MID}/bsdsignal.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/bsdsignal.c )
 
 ${DOCINT}/bsdsignal.c.dvi: ${IN}/bsdsignal.c.pamphlet 
-	@echo 3 making ${DOCINT}/bsdsignal.c.dvi from ${IN}/bsdsignal.c.pamphlet
+	@echo sl03 making ${DOCINT}/bsdsignal.c.dvi from ${IN}/bsdsignal.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/bsdsignal.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} bsdsignal.c ; \
@@ -58,7 +58,7 @@ ${DOCINT}/bsdsignal.c.dvi: ${IN}/bsdsignal.c.pamphlet
 	rm -f ${DOCINT}/bsdsignal.c )
 
 ${DOCMNT}/bsdsignal.c.dvi: ${DOCINT}/bsdsignal.c.dvi 
-	@echo 4 making ${DOCMNT}/bsdsignal.c.dvi from ${DOCINT}/bsdsignal.c.dvi
+	@echo sl04 making ${DOCMNT}/bsdsignal.c.dvi from ${DOCINT}/bsdsignal.c.dvi
 	@cp ${DOCINT}/bsdsignal.c.dvi ${DOCMNT}/bsdsignal.c.dvi 
 
 @
@@ -72,16 +72,16 @@ gets included as part of the final system build of GCL.
 
 <<cfuns-c>>=
 ${MID}/cfuns-c.c: ${IN}/cfuns-c.c.pamphlet
-	@echo 5 making ${MID}/cfuns-c.c from ${IN}/cfuns-c.c.pamphlet
+	@echo sl05 making ${MID}/cfuns-c.c from ${IN}/cfuns-c.c.pamphlet
 	@${TANGLE} cfuns-c.c.pamphlet >${MID}/cfuns-c.c
 
 ${OUT}/cfuns-c.o: ${MID}/cfuns-c.c
-	@echo 6 making ${OUT}/cfuns-c.o from ${MID}/cfuns-c.c
+	@echo sl06 making ${OUT}/cfuns-c.o from ${MID}/cfuns-c.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/cfuns-c.c )
 
 ${DOCINT}/cfuns-c.c.dvi: ${IN}/cfuns-c.c.pamphlet 
-	@echo 7 making ${DOCINT}/cfuns-c.c.dvi from ${IN}/cfuns-c.c.pamphlet
+	@echo sl07 making ${DOCINT}/cfuns-c.c.dvi from ${IN}/cfuns-c.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/cfuns-c.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} cfuns-c.c ; \
@@ -90,23 +90,23 @@ ${DOCINT}/cfuns-c.c.dvi: ${IN}/cfuns-c.c.pamphlet
 	rm -f ${DOCINT}/cfuns-c.c )
 
 ${DOCMNT}/cfuns-c.c.dvi: ${DOCINT}/cfuns-c.c.dvi
-	@echo 8 making ${DOCMNT}/cfuns-c.c.dvi from ${DOCINT}/cfuns-c.c.dvi
+	@echo sl08 making ${DOCMNT}/cfuns-c.c.dvi from ${DOCINT}/cfuns-c.c.dvi
 	@cp ${DOCINT}/cfuns-c.c.dvi ${DOCMNT}/cfuns-c.c.dvi 
 
 @
 \subsection{cursor.c \cite{3}}
 <<cursor>>=
 ${MID}/cursor.c: ${IN}/cursor.c.pamphlet
-	@echo 9 making ${MID}/cursor.c from ${IN}/cursor.c.pamphlet
+	@echo sl09 making ${MID}/cursor.c from ${IN}/cursor.c.pamphlet
 	@${TANGLE} cursor.c.pamphlet >${MID}/cursor.c
 
 ${OUT}/cursor.o: ${MID}/cursor.c
-	@echo 10 making ${OUT}/cursor.o from ${MID}/cursor.c
+	@echo sl10 making ${OUT}/cursor.o from ${MID}/cursor.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/cursor.c )
 
 ${DOCINT}/cursor.c.dvi: ${IN}/cursor.c.pamphlet 
-	@echo 11 making ${DOCINT}/cursor.c.dvi from ${IN}/cursor.c.pamphlet
+	@echo sl11 making ${DOCINT}/cursor.c.dvi from ${IN}/cursor.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/cursor.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} cursor.c ; \
@@ -115,23 +115,23 @@ ${DOCINT}/cursor.c.dvi: ${IN}/cursor.c.pamphlet
 	rm -f ${DOCINT}/cursor.c )
 
 ${DOCMNT}/cursor.c.dvi: ${DOCINT}/cursor.c.dvi
-	@echo 12 making ${DOCMNT}/cursor.c.dvi from ${DOCINT}/cursor.c.dvi
+	@echo sl12 making ${DOCMNT}/cursor.c.dvi from ${DOCINT}/cursor.c.dvi
 	@cp ${DOCINT}/cursor.c.dvi ${DOCMNT}/cursor.c.dvi 
 
 @
 \subsection{edin.c \cite{4}}
 <<edin>>=
 ${MID}/edin.c: ${IN}/edin.c.pamphlet
-	@echo 13 making ${MID}/edin.c from ${IN}/edin.c.pamphlet
+	@echo sl13 making ${MID}/edin.c from ${IN}/edin.c.pamphlet
 	@${TANGLE} edin.c.pamphlet >${MID}/edin.c
 
 ${OUT}/edin.o: ${MID}/edin.c
-	@echo 14 making ${OUT}/edin.o from ${MID}/edin.c
+	@echo sl14 making ${OUT}/edin.o from ${MID}/edin.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/edin.c )
 
 ${DOCINT}/edin.c.dvi: ${IN}/edin.c.pamphlet 
-	@echo 15 making ${DOCINT}/edin.c.dvi from ${IN}/edin.c.pamphlet
+	@echo sl15 making ${DOCINT}/edin.c.dvi from ${IN}/edin.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/edin.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} edin.c ; \
@@ -140,23 +140,23 @@ ${DOCINT}/edin.c.dvi: ${IN}/edin.c.pamphlet
 	rm -f ${DOCINT}/edin.c )
 
 ${DOCMNT}/edin.c.dvi: ${DOCINT}/edin.c.dvi
-	@echo 16 making ${DOCMNT}/edin.c.dvi from ${DOCINT}/edin.c.dvi
+	@echo sl16 making ${DOCMNT}/edin.c.dvi from ${DOCINT}/edin.c.dvi
 	@cp ${DOCINT}/edin.c.dvi ${DOCMNT}/edin.c.dvi 
 
 @
 \subsection{fnct-key.c \cite{5}}
 <<fnctkey>>=
 ${MID}/fnct-key.c: ${IN}/fnct-key.c.pamphlet
-	@echo 17 making ${MID}/fnct-key.c from ${IN}/fnct-key.c.pamphlet
+	@echo sl17 making ${MID}/fnct-key.c from ${IN}/fnct-key.c.pamphlet
 	@${TANGLE} fnct-key.c.pamphlet >${MID}/fnct-key.c
 
 ${OUT}/fnct-key.o: ${MID}/fnct-key.c
-	@echo 18 making ${OUT}/fnct-key.o from ${MID}/fnct-key.c
+	@echo sl18 making ${OUT}/fnct-key.o from ${MID}/fnct-key.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/fnct-key.c )
 
 ${DOCINT}/fnct-key.c.dvi: ${IN}/fnct-key.c.pamphlet 
-	@echo 19 making ${DOCINT}/fnct-key.c.dvi from ${IN}/fnct-key.c.pamphlet
+	@echo sl19 making ${DOCINT}/fnct-key.c.dvi from ${IN}/fnct-key.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/fnct-key.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} fnct-key.c ; \
@@ -165,23 +165,23 @@ ${DOCINT}/fnct-key.c.dvi: ${IN}/fnct-key.c.pamphlet
 	rm -f ${DOCINT}/fnct-key.c )
 
 ${DOCMNT}/fnct-key.c.dvi: ${DOCINT}/fnct-key.c.dvi
-	@echo 20 making ${DOCMNT}/fnct-key.c.dvi from ${DOCINT}/fnct-key.c.dvi
+	@echo sl20 making ${DOCMNT}/fnct-key.c.dvi from ${DOCINT}/fnct-key.c.dvi
 	@cp ${DOCINT}/fnct-key.c.dvi ${DOCMNT}/fnct-key.c.dvi 
 
 @
 \subsection{halloc.c \cite{6}}
 <<halloc>>=
 ${MID}/halloc.c: ${IN}/halloc.c.pamphlet
-	@echo 21 making ${MID}/halloc.c from ${IN}/halloc.c.pamphlet
+	@echo sl21 making ${MID}/halloc.c from ${IN}/halloc.c.pamphlet
 	@${TANGLE} halloc.c.pamphlet >${MID}/halloc.c
 
 ${OUT}/halloc.o: ${MID}/halloc.c
-	@echo 22 making ${OUT}/halloc.o from ${MID}/halloc.c
+	@echo sl22 making ${OUT}/halloc.o from ${MID}/halloc.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/halloc.c )
 
 ${DOCINT}/halloc.c.dvi: ${IN}/halloc.c.pamphlet 
-	@echo 23 making ${DOCINT}/halloc.c.dvi from ${IN}/halloc.c.pamphlet
+	@echo sl23 making ${DOCINT}/halloc.c.dvi from ${IN}/halloc.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/halloc.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} halloc.c ; \
@@ -190,7 +190,7 @@ ${DOCINT}/halloc.c.dvi: ${IN}/halloc.c.pamphlet
 	rm -f ${DOCINT}/halloc.c )
 
 ${DOCMNT}/halloc.c.dvi: ${DOCINT}/halloc.c.dvi
-	@echo 24 making ${DOCMNT}/halloc.c.dvi from ${DOCINT}/halloc.c.dvi
+	@echo sl24 making ${DOCMNT}/halloc.c.dvi from ${DOCINT}/halloc.c.dvi
 	@cp ${DOCINT}/halloc.c.dvi ${DOCMNT}/halloc.c.dvi 
 
 @
@@ -200,16 +200,16 @@ and hyper functions. It is included here because we need it built
 earlier so the graph and hyper routines can refer to it.
 <<hash>>=
 ${MID}/hash.c: ${IN}/hash.c.pamphlet
-	@echo 25 making ${MID}/hash.c from ${IN}/hash.c.pamphlet
+	@echo sl25 making ${MID}/hash.c from ${IN}/hash.c.pamphlet
 	@${TANGLE} hash.c.pamphlet >${MID}/hash.c
 
 ${OUT}/hash.o: ${MID}/hash.c
-	@echo 26 making ${OUT}/hash.o from ${MID}/hash.c
+	@echo sl26 making ${OUT}/hash.o from ${MID}/hash.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/hash.c )
 
 ${DOCINT}/hash.c.dvi: ${IN}/hash.c.pamphlet 
-	@echo 27 making ${DOCINT}/hash.c.dvi from ${IN}/hash.c.pamphlet
+	@echo sl27 making ${DOCINT}/hash.c.dvi from ${IN}/hash.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/hash.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} hash.c ; \
@@ -218,23 +218,23 @@ ${DOCINT}/hash.c.dvi: ${IN}/hash.c.pamphlet
 	rm -f ${DOCINT}/hash.c )
 
 ${DOCMNT}/hash.c.dvi: ${DOCINT}/hash.c.dvi
-	@echo 28 making ${DOCMNT}/hash.c.dvi from ${DOCINT}/hash.c.dvi
+	@echo sl28 making ${DOCMNT}/hash.c.dvi from ${DOCINT}/hash.c.dvi
 	@cp ${DOCINT}/hash.c.dvi ${DOCMNT}/hash.c.dvi 
 
 @
 \subsection{openpty.c \cite{7}}
 <<openpty>>=
 ${MID}/openpty.c: ${IN}/openpty.c.pamphlet
-	@echo 29 making ${MID}/openpty.c from ${IN}/openpty.c.pamphlet
+	@echo sl29 making ${MID}/openpty.c from ${IN}/openpty.c.pamphlet
 	@${TANGLE} openpty.c.pamphlet >${MID}/openpty.c
 
 ${OUT}/openpty.o: ${MID}/openpty.c
-	@echo 30 making ${OUT}/openpty.o from ${MID}/openpty.c
+	@echo sl30 making ${OUT}/openpty.o from ${MID}/openpty.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/openpty.c )
 
 ${DOCINT}/openpty.c.dvi: ${IN}/openpty.c.pamphlet 
-	@echo 31 making ${DOCINT}/openpty.c.dvi from ${IN}/openpty.c.pamphlet
+	@echo sl31 making ${DOCINT}/openpty.c.dvi from ${IN}/openpty.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/openpty.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} openpty.c ; \
@@ -243,23 +243,23 @@ ${DOCINT}/openpty.c.dvi: ${IN}/openpty.c.pamphlet
 	rm -f ${DOCINT}/openpty.c )
 
 ${DOCMNT}/openpty.c.dvi: ${DOCINT}/openpty.c.dvi
-	@echo 32 making ${DOCMNT}/openpty.c.dvi from ${DOCINT}/openpty.c.dvi
+	@echo sl32 making ${DOCMNT}/openpty.c.dvi from ${DOCINT}/openpty.c.dvi
 	@cp ${DOCINT}/openpty.c.dvi ${DOCMNT}/openpty.c.dvi 
 
 @
 \subsection{pixmap.c \cite{8}}
 <<pixmap>>=
 ${MID}/pixmap.c: ${IN}/pixmap.c.pamphlet
-	@echo 33 making ${MID}/pixmap.c from ${IN}/pixmap.c.pamphlet
+	@echo sl33 making ${MID}/pixmap.c from ${IN}/pixmap.c.pamphlet
 	@${TANGLE} pixmap.c.pamphlet >${MID}/pixmap.c
 
 ${OUT}/pixmap.o: ${MID}/pixmap.c
-	@echo 34 making ${OUT}/pixmap.o from ${MID}/pixmap.c
+	@echo sl34 making ${OUT}/pixmap.o from ${MID}/pixmap.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/pixmap.c )
 
 ${DOCINT}/pixmap.c.dvi: ${IN}/pixmap.c.pamphlet 
-	@echo 35 making ${DOCINT}/pixmap.c.dvi from ${IN}/pixmap.c.pamphlet
+	@echo sl35 making ${DOCINT}/pixmap.c.dvi from ${IN}/pixmap.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/pixmap.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} pixmap.c ; \
@@ -268,23 +268,23 @@ ${DOCINT}/pixmap.c.dvi: ${IN}/pixmap.c.pamphlet
 	rm -f ${DOCINT}/pixmap.c )
 
 ${DOCMNT}/pixmap.c.dvi: ${DOCINT}/pixmap.c.dvi
-	@echo 36 making ${DOCMNT}/pixmap.c.dvi from ${DOCINT}/pixmap.c.dvi
+	@echo sl36 making ${DOCMNT}/pixmap.c.dvi from ${DOCINT}/pixmap.c.dvi
 	@cp ${DOCINT}/pixmap.c.dvi ${DOCMNT}/pixmap.c.dvi 
 
 @
 \subsection{prt.c \cite{9}}
 <<prt>>=
 ${MID}/prt.c: ${IN}/prt.c.pamphlet
-	@echo 37 making ${MID}/prt.c from ${IN}/prt.c.pamphlet
+	@echo sl37 making ${MID}/prt.c from ${IN}/prt.c.pamphlet
 	@${TANGLE} prt.c.pamphlet >${MID}/prt.c
 
 ${OUT}/prt.o: ${MID}/prt.c
-	@echo 38 making ${OUT}/prt.o from ${MID}/prt.c
+	@echo sl38 making ${OUT}/prt.o from ${MID}/prt.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/prt.c )
 
 ${DOCINT}/prt.c.dvi: ${IN}/prt.c.pamphlet 
-	@echo 39 making ${DOCINT}/prt.c.dvi from ${IN}/prt.c.pamphlet
+	@echo sl39 making ${DOCINT}/prt.c.dvi from ${IN}/prt.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/prt.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} prt.c ; \
@@ -293,7 +293,7 @@ ${DOCINT}/prt.c.dvi: ${IN}/prt.c.pamphlet
 	rm -f ${DOCINT}/prt.c )
 
 ${DOCMNT}/prt.c.dvi: ${DOCINT}/prt.c.dvi
-	@echo 40 making ${DOCMNT}/prt.c.dvi from ${DOCINT}/prt.c.dvi
+	@echo sl40 making ${DOCMNT}/prt.c.dvi from ${DOCINT}/prt.c.dvi
 	@cp ${DOCINT}/prt.c.dvi ${DOCMNT}/prt.c.dvi 
 
 @
@@ -306,16 +306,16 @@ gets included as part of the final system build of GCL.
 
 <<sockio-c>>=
 ${MID}/sockio-c.c: ${IN}/sockio-c.c.pamphlet
-	@echo 41 making ${MID}/sockio-c.c from ${IN}/sockio-c.c.pamphlet
+	@echo sl41 making ${MID}/sockio-c.c from ${IN}/sockio-c.c.pamphlet
 	@${TANGLE} sockio-c.c.pamphlet >${MID}/sockio-c.c
 
 ${OUT}/sockio-c.o: ${MID}/sockio-c.c
-	@echo 42 making ${OUT}/sockio-c.o from ${MID}/sockio-c.c
+	@echo sl42 making ${OUT}/sockio-c.o from ${MID}/sockio-c.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/sockio-c.c )
 
 ${DOCINT}/sockio-c.c.dvi: ${IN}/sockio-c.c.pamphlet 
-	@echo 43 making ${DOCINT}/sockio-c.c.dvi from ${IN}/sockio-c.c.pamphlet
+	@echo sl43 making ${DOCINT}/sockio-c.c.dvi from ${IN}/sockio-c.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/sockio-c.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} sockio-c.c ; \
@@ -324,23 +324,23 @@ ${DOCINT}/sockio-c.c.dvi: ${IN}/sockio-c.c.pamphlet
 	rm -f ${DOCINT}/sockio-c.c )
 
 ${DOCMNT}/sockio-c.c.dvi: ${DOCINT}/sockio-c.c.dvi
-	@echo 44 making ${DOCMNT}/sockio-c.c.dvi from ${DOCINT}/sockio-c.c.dvi
+	@echo sl44 making ${DOCMNT}/sockio-c.c.dvi from ${DOCINT}/sockio-c.c.dvi
 	@cp ${DOCINT}/sockio-c.c.dvi ${DOCMNT}/sockio-c.c.dvi 
 
 @
 \subsection{spadcolors.c \cite{11}}
 <<spadcolors>>=
 ${MID}/spadcolors.c: ${IN}/spadcolors.c.pamphlet
-	@echo 45 making ${MID}/spadcolors.c from ${IN}/spadcolors.c.pamphlet
+	@echo sl45 making ${MID}/spadcolors.c from ${IN}/spadcolors.c.pamphlet
 	@${TANGLE} spadcolors.c.pamphlet >${MID}/spadcolors.c
 
 ${OUT}/spadcolors.o: ${MID}/spadcolors.c
-	@echo 46 making ${OUT}/spadcolors.o from ${MID}/spadcolors.c
+	@echo sl46 making ${OUT}/spadcolors.o from ${MID}/spadcolors.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/spadcolors.c )
 
 ${DOCINT}/spadcolors.c.dvi: ${IN}/spadcolors.c.pamphlet 
-	@echo 47 making ${DOCINT}/spadcolors.c.dvi from \
+	@echo sl47 making ${DOCINT}/spadcolors.c.dvi from \
           ${IN}/spadcolors.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/spadcolors.c.pamphlet ${DOCINT} ; \
@@ -350,23 +350,23 @@ ${DOCINT}/spadcolors.c.dvi: ${IN}/spadcolors.c.pamphlet
 	rm -f ${DOCINT}/spadcolors.c )
 
 ${DOCMNT}/spadcolors.c.dvi: ${DOCINT}/spadcolors.c.dvi
-	@echo 48 making ${DOCMNT}/spadcolors.c.dvi from ${DOCINT}/spadcolors.c.dvi
+	@echo sl48 making ${DOCMNT}/spadcolors.c.dvi from ${DOCINT}/spadcolors.c.dvi
 	@cp ${DOCINT}/spadcolors.c.dvi ${DOCMNT}/spadcolors.c.dvi 
 
 @
 \subsection{util.c \cite{12}}
 <<util>>=
 ${MID}/util.c: ${IN}/util.c.pamphlet
-	@echo 49 making ${MID}/util.c from ${IN}/util.c.pamphlet
+	@echo sl49 making ${MID}/util.c from ${IN}/util.c.pamphlet
 	@${TANGLE} util.c.pamphlet >${MID}/util.c
 
 ${OUT}/util.o: ${MID}/util.c
-	@echo 50 making ${OUT}/util.o from ${MID}/util.c
+	@echo sl50 making ${OUT}/util.o from ${MID}/util.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/util.c )
 
 ${DOCINT}/util.c.dvi: ${IN}/util.c.pamphlet 
-	@echo 51 making ${DOCINT}/util.c.dvi from ${IN}/util.c.pamphlet
+	@echo sl51 making ${DOCINT}/util.c.dvi from ${IN}/util.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/util.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} util.c ; \
@@ -375,23 +375,23 @@ ${DOCINT}/util.c.dvi: ${IN}/util.c.pamphlet
 	rm -f ${DOCINT}/util.c )
 
 ${DOCMNT}/util.c.dvi: ${DOCINT}/util.c.dvi
-	@echo 52 making ${DOCMNT}/util.c.dvi from ${DOCINT}/util.c.dvi
+	@echo sl52 making ${DOCMNT}/util.c.dvi from ${DOCINT}/util.c.dvi
 	@cp ${DOCINT}/util.c.dvi ${DOCMNT}/util.c.dvi 
 
 @
 \subsection{wct.c \cite{13}}
 <<wct>>=
 ${MID}/wct.c: ${IN}/wct.c.pamphlet
-	@echo 53 making ${MID}/wct.c from ${IN}/wct.c.pamphlet
+	@echo sl53 making ${MID}/wct.c from ${IN}/wct.c.pamphlet
 	@${TANGLE} wct.c.pamphlet >${MID}/wct.c
 
 ${OUT}/wct.o: ${MID}/wct.c
-	@echo 54 making ${OUT}/wct.o from ${MID}/wct.c
+	@echo sl54 making ${OUT}/wct.o from ${MID}/wct.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/wct.c )
 
 ${DOCINT}/wct.c.dvi: ${IN}/wct.c.pamphlet 
-	@echo 55 making ${DOCINT}/wct.c.dvi from ${IN}/wct.c.pamphlet
+	@echo sl55 making ${DOCINT}/wct.c.dvi from ${IN}/wct.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/wct.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} wct.c ; \
@@ -400,23 +400,23 @@ ${DOCINT}/wct.c.dvi: ${IN}/wct.c.pamphlet
 	rm -f ${DOCINT}/wct.c )
 
 ${DOCMNT}/wct.c.dvi: ${DOCINT}/wct.c.dvi
-	@echo 56 making ${DOCMNT}/wct.c.dvi from ${DOCINT}/wct.c.dvi
+	@echo sl56 making ${DOCMNT}/wct.c.dvi from ${DOCINT}/wct.c.dvi
 	@cp ${DOCINT}/wct.c.dvi ${DOCMNT}/wct.c.dvi 
 
 @
 \subsection{xdither.c \cite{14}}
 <<xdither>>=
 ${MID}/xdither.c: ${IN}/xdither.c.pamphlet
-	@echo 57 making ${MID}/xdither.c from ${IN}/xdither.c.pamphlet
+	@echo sl57 making ${MID}/xdither.c from ${IN}/xdither.c.pamphlet
 	@${TANGLE} xdither.c.pamphlet >${MID}/xdither.c
 
 ${OUT}/xdither.o: ${MID}/xdither.c
-	@echo 58 making ${OUT}/xdither.o from ${MID}/xdither.c
+	@echo sl58 making ${OUT}/xdither.o from ${MID}/xdither.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/xdither.c )
 
 ${DOCINT}/xdither.c.dvi: ${IN}/xdither.c.pamphlet 
-	@echo 59 making ${DOCINT}/xdither.c.dvi from ${IN}/xdither.c.pamphlet
+	@echo sl59 making ${DOCINT}/xdither.c.dvi from ${IN}/xdither.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/xdither.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} xdither.c ; \
@@ -425,23 +425,23 @@ ${DOCINT}/xdither.c.dvi: ${IN}/xdither.c.pamphlet
 	rm -f ${DOCINT}/xdither.c )
 
 ${DOCMNT}/xdither.c.dvi: ${DOCINT}/xdither.c.dvi
-	@echo 60 making ${DOCMNT}/xdither.c.dvi from ${DOCINT}/xdither.c.dvi
+	@echo sl60 making ${DOCMNT}/xdither.c.dvi from ${DOCINT}/xdither.c.dvi
 	@cp ${DOCINT}/xdither.c.dvi ${DOCMNT}/xdither.c.dvi 
 
 @
 \subsection{xshade.c \cite{15}}
 <<xshade>>=
 ${MID}/xshade.c: ${IN}/xshade.c.pamphlet
-	@echo 61 making ${MID}/xshade.c from ${IN}/xshade.c.pamphlet
+	@echo sl61 making ${MID}/xshade.c from ${IN}/xshade.c.pamphlet
 	@${TANGLE} xshade.c.pamphlet >${MID}/xshade.c
 
 ${OUT}/xshade.o: ${MID}/xshade.c
-	@echo 62 making ${OUT}/xshade.o from ${MID}/xshade.c
+	@echo sl62 making ${OUT}/xshade.o from ${MID}/xshade.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/xshade.c )
 
 ${DOCINT}/xshade.c.dvi: ${IN}/xshade.c.pamphlet 
-	@echo 63 making ${DOCINT}/xshade.c.dvi from ${IN}/xshade.c.pamphlet
+	@echo sl63 making ${DOCINT}/xshade.c.dvi from ${IN}/xshade.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/xshade.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} xshade.c ; \
@@ -450,23 +450,23 @@ ${DOCINT}/xshade.c.dvi: ${IN}/xshade.c.pamphlet
 	rm -f ${DOCINT}/xshade.c )
 
 ${DOCMNT}/xshade.c.dvi: ${DOCINT}/xshade.c.dvi
-	@echo 64 making ${DOCMNT}/xshade.c.dvi from ${DOCINT}/xshade.c.dvi
+	@echo sl64 making ${DOCMNT}/xshade.c.dvi from ${DOCINT}/xshade.c.dvi
 	@cp ${DOCINT}/xshade.c.dvi ${DOCMNT}/xshade.c.dvi 
 
 @
 \subsection{xspadfill.c \cite{16}}
 <<xspadfill>>=
 ${MID}/xspadfill.c: ${IN}/xspadfill.c.pamphlet
-	@echo 65 making ${MID}/xspadfill.c from ${IN}/xspadfill.c.pamphlet
+	@echo sl65 making ${MID}/xspadfill.c from ${IN}/xspadfill.c.pamphlet
 	@${TANGLE} xspadfill.c.pamphlet >${MID}/xspadfill.c
 
 ${OUT}/xspadfill.o: ${MID}/xspadfill.c
-	@echo 66 making ${OUT}/xspadfill.o from ${MID}/xspadfill.c
+	@echo sl66 making ${OUT}/xspadfill.o from ${MID}/xspadfill.c
 	@( cd ${OUT} ; \
 	${CC} ${CCF} -c -I${INC} ${MID}/xspadfill.c )
 
 ${DOCINT}/xspadfill.c.dvi: ${IN}/xspadfill.c.pamphlet 
-	@echo 67 making ${DOCINT}/xspadfill.c.dvi from ${IN}/xspadfill.c.pamphlet
+	@echo sl67 making ${DOCINT}/xspadfill.c.dvi from ${IN}/xspadfill.c.pamphlet
 	@(cd ${DOCINT} ; \
 	cp ${IN}/xspadfill.c.pamphlet ${DOCINT} ; \
 	${DOCUMENT} ${NOISE} xspadfill.c ; \
@@ -475,20 +475,20 @@ ${DOCINT}/xspadfill.c.dvi: ${IN}/xspadfill.c.pamphlet
 	rm -f ${DOCINT}/xspadfill.c )
 
 ${DOCMNT}/xspadfill.c.dvi: ${DOCINT}/xspadfill.c.dvi
-	@echo 68 making ${DOCMNT}/xspadfill.c.dvi from ${DOCINT}/xspadfill.c.dvi
+	@echo sl68 making ${DOCMNT}/xspadfill.c.dvi from ${DOCINT}/xspadfill.c.dvi
 	@cp ${DOCINT}/xspadfill.c.dvi ${DOCMNT}/xspadfill.c.dvi 
 
 @
 \section{The document stanza}
 <<document>>=
 document: ${DOCFILES}
-	@echo 69 documenting ${IN}
+	@echo sl69 documenting ${IN}
 
 @
 \section{The clean stanza}
 <<clean>>=
 clean:
-	@echo 70 cleaning ${IN}
+	@echo sl70 cleaning ${IN}
 	@rm -rf ${MID} ${OUT} ${DOCINT} ${DOCMNT}
 	@rm -f Makefile Makefile.dvi
 
@@ -496,18 +496,23 @@ clean:
 \subsection{Makefile documentation}
 <<Makefile.dvi>>=
 ${DOCMNT}/Makefile.dvi: ${IN}/Makefile.dvi
-	@echo 71 making ${DOCMNT}/Makefile.dvi from ${IN}/Makefile.dvi
+	@echo sl71 making ${DOCMNT}/Makefile.dvi from ${IN}/Makefile.dvi
 	@cp ${IN}/Makefile.dvi ${DOCMNT}/Makefile.dvi 
 
 @
 <<*>>=
 <<environment>>
 
-all: ${OUT}/libspad.a ${OTHER} ${DOCFILES}
-	@echo 72 finished making ${IN}
+all: announce ${OUT}/libspad.a ${OTHER} ${DOCFILES}
+	@echo sl72 finished making ${IN}
+
+announce:
+	@ echo ======================================
+	@ echo src/lib BUILDING LIB FILES
+	@ echo ======================================
 
 ${OUT}/libspad.a: ${AR} 
-	@echo 73 making ${OUT}/libspad.a
+	@echo sl73 making ${OUT}/libspad.a
 	@(cd ${OUT} ; \
 	ar ru ${OUT}/libspad.a ${AR} ; \
 	${RANLIB} ${OBJ}/${SYS}/lib/libspad.a )
diff --git a/src/scripts/Makefile.pamphlet b/src/scripts/Makefile.pamphlet
index 3dca6f1..1aaccbb 100644
--- a/src/scripts/Makefile.pamphlet
+++ b/src/scripts/Makefile.pamphlet
@@ -17,7 +17,12 @@ script to exist and prevent duplicate copying.
 OUT=${MNT}/${SYS}/bin
 OUT1=${MNT}/${SYS}/lib
 
-all: ${OUT}/document ${OUT1}/SPADEDIT
+all: announce ${OUT}/document ${OUT1}/SPADEDIT
+
+announce:
+	@ echo ======================================
+	@ echo src/scripts BUILDING SCRIPTS
+	@ echo ======================================
 
 ${OUT}/document:
 	@echo 1 making ${SRC}/scripts
diff --git a/src/share/Makefile.pamphlet b/src/share/Makefile.pamphlet
index 094d4b6..fa9f731 100644
--- a/src/share/Makefile.pamphlet
+++ b/src/share/Makefile.pamphlet
@@ -17,7 +17,7 @@ lived in the share subdirectory but the open source version moves it
 back to the [[lib]] directory where it originally lived.
 <<command.list>>=
 ${LIB}/command.list: ${IN}/algebra/command.list
-	@ echo 2 making ${LIB}/command.list from ${IN}/algebra/command.list
+	@ echo ssh01 making ${LIB}/command.list from ${IN}/algebra/command.list
 	@ cp ${IN}/algebra/command.list ${LIB}/command.list
 
 @
@@ -27,11 +27,16 @@ LIB=${MNT}/${SYS}/lib
 
 FILES=${LIB}/command.list
 
-all: ${FILES}
-	@ echo 3 finished ${IN}
+all: announce ${FILES}
+	@ echo ssh2 finished ${IN}
+
+announce:
+	@ echo ======================================
+	@ echo src/share BUILDING SHARE FILES
+	@ echo ======================================
 
 clean:
-	@echo 4 cleaning ${SRC}/share
+	@echo ssh3 cleaning ${SRC}/share
 
 <<command.list>>
 @
diff --git a/src/sman/Makefile.pamphlet b/src/sman/Makefile.pamphlet
index 9973ef1..40f0018 100644
--- a/src/sman/Makefile.pamphlet
+++ b/src/sman/Makefile.pamphlet
@@ -42,7 +42,7 @@ SMANOBJS= ${LIB}/libspad.a
 \section{The axiom command}
 <<axiomcmd>>=
 ${OUT}/axiom: ${IN}/bookvol6.pamphlet
-	@echo 1 making ${OUT}/axiom from ${IN}/bookvol6.pamphlet
+	@echo ss01 making ${OUT}/axiom from ${IN}/bookvol6.pamphlet
 	@ (cd ${OUT} ; \
            ${TANGLE} -R"axiomcmd" ${IN}/bookvol6.pamphlet >axiom )
 	@chmod +x ${OUT}/axiom
@@ -52,16 +52,16 @@ ${OUT}/axiom: ${IN}/bookvol6.pamphlet
 \section{session}
 <<session>>=
 ${OUTLIB}/session: ${SMANOBJS} ${MIDOBJ}/session.o
-	@ echo 1 linking session
+	@ echo ss02 linking session
 	@ ${CC} -o ${OUTLIB}/session ${MIDOBJ}/session.o ${SMANOBJS} 
 
 ${MID}/session.c: ${IN}/bookvol6.pamphlet
-	@ echo 2 making ${MID}/session.c from ${IN}/bookvol6.pamphlet
+	@ echo ss03 making ${MID}/session.c from ${IN}/bookvol6.pamphlet
 	@ (cd ${MID} ; \
           ${TANGLE} -R"session" ${IN}/bookvol6.pamphlet >session.c )
 
 ${MIDOBJ}/session.o: ${MID}/session.c ${INC}/session.h1
-	@ echo 3 making ${MIDOBJ}/session.o from ${MID}/session.c
+	@ echo ss04 making ${MIDOBJ}/session.o from ${MID}/session.c
 	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MID}/session.c -I${INC} )
 
 @
@@ -70,57 +70,57 @@ Note that we do not build the nagman component as we do not have the
 necessary code (for instance, [[callnag]]).
 <<nagman>>=
 ${OUT}/nagman:	${SMANOBJS} ${MIDOBJ}/nagman.o
-	@ echo 5 linking nagman
+	@ echo ss05 linking nagman
 	@ ${CC} -o ${OUT}/nagman ${MIDOBJ}/nagman.o ${SMANOBJS} 
 
 ${MID}/nagman.c: ${IN}/bookvol6.pamphlet
-	@ echo 6 making ${MID}/nagman.c from ${IN}/bookvol6.pamphlet
+	@ echo ss06 making ${MID}/nagman.c from ${IN}/bookvol6.pamphlet
 	@ (cd ${MID} ; \
            ${TANGLE} -R"nagman" ${IN}/bookvol6.pamphlet >nagman.c )
 
 ${MIDOBJ}/nagman.o: ${MID}/nagman.c ${INC}/nagman.h1
-	@ echo 7 making ${MIDOBJ}/nagman.o from ${MID}/nagman.c
+	@ echo ss07 making ${MIDOBJ}/nagman.o from ${MID}/nagman.c
 	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MID}/nagman.c -I${INC} )
 
 @
 \section{spadclient}
 <<spadclient>>=
 ${OUTLIB}/spadclient: ${SMANOBJS} ${MIDOBJ}/spadclient.o
-	@ echo 9 linking spadclient
+	@ echo ss08 linking spadclient
 	@ ${CC} -o ${OUTLIB}/spadclient ${MIDOBJ}/spadclient.o  ${SMANOBJS} 
 
 ${MID}/spadclient.c: ${IN}/bookvol6.pamphlet
-	@ echo 10 making ${MID}/spadclient.c from ${IN}/bookvol6.pamphlet
+	@ echo ss09 making ${MID}/spadclient.c from ${IN}/bookvol6.pamphlet
 	@ (cd ${MID} ; \
            ${TANGLE} -R"spadclient" ${IN}/bookvol6.pamphlet >spadclient.c )
 
 ${MIDOBJ}/spadclient.o: ${MID}/spadclient.c ${INC}/spadclient.h1
-	@ echo 11 making ${MIDOBJ}/spadclient.o from ${MID}/spadclient.c
+	@ echo ss10 making ${MIDOBJ}/spadclient.o from ${MID}/spadclient.c
 	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MID}/spadclient.c -I${INC} )
 
 @
 \section{sman}
 <<sman>>=
 ${OUT}/sman: ${SMANOBJS} ${MIDOBJ}/sman.o
-	@ echo 13 linking sman
+	@ echo ss11 linking sman
 	@ ${CC} -o ${OUT}/sman ${MIDOBJ}/sman.o ${SMANOBJS} 
 
 ${MID}/sman.h: ${IN}/bookvol6.pamphlet
-	@ echo 00 making ${MID}/sman.h from ${IN}/bookvol6.pamphlet
+	@ echo ss12 making ${MID}/sman.h from ${IN}/bookvol6.pamphlet
 	@ (cd ${MID} ; \
            ${TANGLE} -R"sman.h" ${IN}/bookvol6.pamphlet >sman.h )
 
 ${MID}/sman.c: ${MID}/sman.h ${IN}/bookvol6.pamphlet
-	@ echo 14 making ${MID}/sman.c from ${IN}/bookvol6.pamphlet
+	@ echo ss13 making ${MID}/sman.c from ${IN}/bookvol6.pamphlet
 	@ (cd ${MID} ; \
            ${TANGLE} -R"sman" ${IN}/bookvol6.pamphlet >sman.c )
 
 ${MIDOBJ}/sman.o: ${MID}/sman.c ${INC}/sman.h1
-	@ echo 15 making ${MIDOBJ}/sman.o from ${MID}/sman.c
+	@ echo ss14 making ${MIDOBJ}/sman.o from ${MID}/sman.c
 	@ ( cd ${MIDOBJ} ; ${CC} -I${INC} -I${MID} -c ${CFLAGS} ${MID}/sman.c )
 
 ${DOC}/bookvol6.dvi: ${IN}/bookvol6.pamphlet 
-	@ echo 16 making ${DOC}/bookvol6.dvi from ${IN}/bookvol6.pamphlet
+	@ echo ss15 making ${DOC}/bookvol6.dvi from ${IN}/bookvol6.pamphlet
 	@ (cd ${DOC} ; \
 	cp ${IN}/bookvol6.pamphlet ${DOC} ; \
 	${DOCUMENT} ${NOISE} bookvol6 ; \
@@ -132,12 +132,17 @@ ${DOC}/bookvol6.dvi: ${IN}/bookvol6.pamphlet
 @
 <<*>>=
 <<environment>>
-all:	${OUTLIB}/session ${OUTLIB}/spadclient ${OUT}/sman ${OUT}/axiom \
-        ${DOCFILES}
-	@ echo 18 finished ${IN}
+all:	announce ${OUTLIB}/session ${OUTLIB}/spadclient ${OUT}/sman \
+        ${OUT}/axiom ${DOCFILES}
+	@ echo ss16 finished ${IN}
+
+announce:
+	@ echo ======================================
+	@ echo src/sman BUILDING SMAN
+	@ echo ======================================
 
 clean:
-	@echo 19 cleaning ${SRC}/sman
+	@echo ss17 cleaning ${SRC}/sman
 
 <<axiomcmd>>
 <<sman>>
